﻿<?php
defined('_JEXEC') or die('Restricted acccess');

jimport('joomla.application.component.controller');

class Form2ContentControllerProjectField extends JController
{
	var $modelName = 'projectfield';

	function __construct()
	{
		parent::__construct();
	}

	function __getRedirect()
	{
		return 'index.php?option=com_form2content&task=viewprojectfieldlist&c=projectfields&projectid=' . JRequest::getInt('projectid');
	}
	
	function copy()
	{
		$model = $this->getModel($this->modelName);
		
		if($model->copy()) 
		{
			$message = JText::_('DATA_COPIED' );
		}
		else 
		{
			$message = JText::_('ERROR_DATA_COPY');
			$message .= ' [' . $model->getError() . ']';
		}

		$this->setRedirect($this->__getRedirect(), $message);
	}
	
	function copyfields()
	{
		JRequest::setVar('view', 'copyfieldselect');
		JRequest::setVar('hidemainmenu', 1);
		parent::display();
	}
	
	function add()
	{
		JRequest::setVar('cid', 0);
		JRequest::setVar('view', $this->modelName);
		JRequest::setVar('hidemainmenu', 1);
		
		parent::display();
	}
	
	function edit()
	{
		JRequest::setVar('view', $this->modelName);
		JRequest::setVar('hidemainmenu', 1);
		
		parent::display();
	}

	function display()
	{
		parent::display();
	}

	function save()
	{
		$data = JRequest::get('POST');
		
		$model = $this->getModel($this->modelName);
		
		if ($model->save($data)) 
		{
			$message = JText::_('PROJECTFIELD_SAVED');
		} 
		else
		{
			$message = JText::_('PROJECTFIELD_SAVE_ERROR');
			$message .= ' [' . $model->getError() . ']';
		}

		$this->setRedirect($this->__getRedirect(), $message);
	}
	
	function remove()
	{
		$model = $this->getModel($this->modelName);
		
		if($model->delete()) 
		{
			$message = JText::_('PROJECTFIELD_DELETED' );
		}
		else 
		{
			$message = JText::_('PROJECTFIELD_DELETE_ERROR');
			$message .= ' [' . $model->getError() . ']';
		}

		$this->setRedirect($this->__getRedirect(), $message);
	}

	function cancel()
	{
		$message = JText::_('OPERATION_CANCELLED');
		$this->setRedirect($this->__getRedirect(), $message);
	}
	
	function orderup()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit('Invalid Token');

		$model = $this->getModel($this->modelName);
		$model->move(-1);

		$this->setRedirect($this->__getRedirect());
	}

	function orderdown()
	{
		// Check for request forgeries
		JRequest::checkToken() or jexit('Invalid Token');

		$model = $this->getModel($this->modelName);
		$model->move(1);

		$this->setRedirect($this->__getRedirect());
	}
}
?>