<?php
defined('_JEXEC') or die( 'Restricted access' );

class JElementSectionCategoryType extends JElement
{
	/**
	 * Element name
	 *
	 * @access	protected
	 * @var		string
	 */
	var	$_name = 'SectionCategoryType';

	function fetchElement($name, $value, &$node, $control_name)
	{
		$db =& JFactory::getDBO();

		$query = 	'SELECT CONCAT_WS(\'_\', sec.id, cat.id) AS id, CONCAT_WS(\' - \', sec.title, cat.title) AS title ' .
					'FROM #__sections sec ' .
					'INNER JOIN #__categories cat ON cat.section = sec.id ' .
					'WHERE sec.published = 1 AND cat.published = 1 ' .
					'AND sec.scope = \'content\' ' .
					'ORDER BY sec.ordering, cat.ordering';
					
		$db->setQuery($query);
		$options = $db->loadObjectList();

		array_unshift($options, JHTML::_('select.option', '0_0', '- '.JText::_('Uncategorized').' -', 'id', 'title'));
		array_unshift($options, JHTML::_('select.option', '-1_-1', '- '.JText::_('NO_RESTRICTION').' -', 'id', 'title'));

		return JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.']', 'class="inputbox"', 'id', 'title', $value, $control_name.$name );
	}
}
