<?php
defined('_JEXEC') or die('Restricted acccess');

jimport('joomla.application.component.model');

class Form2ContentModelConfiguration extends JModel
{
	var $_id = null;
	var $_data = null;
	
	function __construct()
	{
		parent::__construct();
	}
	
	function &getData()
	{
		$this->_loadData();
		return $this->_data;		
	}
	
	function save($data)
	{
		$row =& $this->getTable();
		
		// Bind the form fields to the table
		if (!$row->bind($data)) 
		{
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		
		$img2Process = null;
		$projectid = JRequest::getInt('projectid', 0);
		$formid = JRequest::getInt('id', 0);
		$timestamp = date('Y-m-d H:i:s');
		
		$row->published = HtmlHelper::getCheckBox('published');
			
		if ($row->id) 
		{
			$row->modified = $timestamp;
		}
		else
		{
			// new record -> initialize
			$user =& JFactory::getUser();		
			$row->created_by = $user->id;		
			$row->created = $timestamp;
		}
		
		if (!$row->check()) 
		{
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Store the table to the database
		if (!$row->store()) 
		{
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		
		return true;
	}
	
	function store()
	{
		$row =& $this->getTable();
		
		// Bind the form fields to the table
		if (!$row->bind($this->_data)) 
		{
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		
		if (!$row->check()) 
		{
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Store the table to the database
		if (!$row->store()) 
		{
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		
		return true;
	}
	
	function display()
	{
		die('model');
	}	

	function _loadData()
	{
		// Lets load the content if it doesn't already exist
		if (empty($this->_data))
		{
			$query = "SELECT * FROM " . $this->_db->nameQuote('#__f2c_form') . " WHERE " . $this->_db->nameQuote('id') . " = " . (int)$this->_id;
			$this->_db->setQuery($query);
			$this->_data = $this->_db->loadObject();
			return (boolean)$this->_data;
		}
		return true;
	}
}
?>