<?php
class TableTranslation extends JTable
{
	/** @var int Primary key **/
	var $id = null;	
	/** @var string Language Id **/
	var $language_id = null;	
	/** @var int Reference Id **/
	var $reference_id = null;	
	/** @var string Title Translation **/
	var $title_translation = null;
	/** @var string Description Translation **/
	var $description_translation = null;
	/** @var date Modified date **/
	var $modified = null;	
	/** @var int Modified By **/
	var $modified_by = 0;
	
	/**
	 * Constructor
	 *
	 * @param database Database object
	 */
	function __construct(&$db)
	{
		parent::__construct('#__f2c_translation', 'id', $db);
	}
	 
	/**
	 * Validation
	 *
	 * @return boolean True if buffer valid
	 */
	function check()
	{
		return true;
	}
}
?>