<?php defined('_JEXEC') or die('Restricted access'); ?>
<?php
require_once(JPATH_COMPONENT.DS.'views'.DS.'viewhelper.form2content.php');

JHTML::stylesheet( 'default.css', 'administrator/components/com_form2content/media/css/');
JHTML::_('behavior.tooltip');
?>
<script type="text/javascript">
<!--
function submitbutton(pressbutton)
{
	if(pressbutton == 'syncorder')
	{
		if(!confirm('<?php echo JText::_('SYNC_ORDER_CONFIRMATION'); ?>'))
		{
			return false;
		}
	}

	submitform(pressbutton);	
}		
-->	
</script>
<form action="index.php" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">
<div class="col100">
	<fieldset class="adminform">
		<legend><?php echo JText::_('BACKEND_CONFIGURATION'); ?></legend>
		<table class="admintable" cellspacing="0" cellpadding="0" border="0" width="80%">
		<tr>
			<td width="300" align="right" class="key">			
				<label for="generate_sample_template">
					<?php echo JText::_('GENERATE_DEFAULT_TEMPLATE'); ?>:
				</label>
			</td>
			<td>
				<?php echo $this->lists['generate_sample_template']; ?>
				<?php echo JHTML::tooltip(JText::_('DEFAULT_TEMPLATE_TOOLTIP'), JText::_('GENERATE_DEFAULT_TEMPLATE')); ?>
			</td>
		</tr>
		<tr>
			<td width="300" align="right" class="key">			
				<label for="max_image_upload_size">
					<?php echo JText::_('MAXIMUM_IMAGE_SIZE'); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="max_image_upload_size" id="max_image_upload_size" size="15" maxlength="8" value="<?php echo htmlspecialchars($this->config->max_image_upload_size); ?>" />
				<?php echo JHTML::tooltip(JText::_('MAX_IMAGE_UPLOAD_SIZE_TOOLTIP'), JText::_('MAXIMUM_IMAGE_SIZE')); ?>
			</td>
		</tr>
		<tr>
			<td width="300" align="right" class="key">			
				<label for="default_thumbnail_width">
					<?php echo JText::_('DEFAULT_THUMBNAIL_WIDTH'); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="default_thumbnail_width" id="default_thumbnail_width" size="5" maxlength="3" value="<?php echo htmlspecialchars($this->config->default_thumbnail_width); ?>" />
				<?php echo JHTML::tooltip(JText::_('DEFAULT_THUMBNAIL_WIDTH_TOOLTIP'), JText::_('DEFAULT_THUMBNAIL_WIDTH')); ?>
			</td>
		</tr>
		<tr>
			<td width="300" align="right" class="key">			
				<label for="default_thumbnail_height">
					<?php echo JText::_('DEFAULT_THUMBNAIL_HEIGHT'); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="default_thumbnail_height" id="default_thumbnail_height" size="5" maxlength="3" value="<?php echo htmlspecialchars($this->config->default_thumbnail_height); ?>" />
				<?php echo JHTML::tooltip(JText::_('DEFAULT_THUMBNAIL_HEIGHT_TOOLTIP'), JText::_('DEFAULT_THUMBNAIL_HEIGHT')); ?>
			</td>
		</tr>
		<tr>
			<td width="300" align="right" class="key">			
				<label for="jpeg_quality">
					<?php echo JText::_('JPEG_QUALITY'); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="jpeg_quality" id="jpeg_quality" size="5" maxlength="3" value="<?php echo htmlspecialchars($this->config->jpeg_quality); ?>" />
				<?php echo JHTML::tooltip(JText::_('JPEG_QUALITY_TOOLTIP'), JText::_('JPEG_QUALITY')); ?>
			</td>
		</tr>
		<tr>
			<td width="300" align="right" class="key">			
				<label for="date_format">
					<?php echo JText::_('DATE_FORMAT'); ?>:
				</label>
			</td>
			<td>
				<?php
					echo $this->lists['dateFormatList'] . '&nbsp;'; 
					echo JHTML::tooltip(JText::_('DATE_FORMAT_TOOLTIP'), JText::_('DATE_FORMAT')); 
				?>
			</td>
		</tr>				
		<tr>
			<td width="300" align="right" class="key">			
				<label for="autosync_article_order">
					<?php echo JText::_('AUTOSYNC_ARTICLE_ORDER'); ?>:
				</label>
			</td>
			<td>
				<?php
					echo $this->lists['autosync_article_order'] . '&nbsp;'; 
					echo JHTML::tooltip(JText::_('AUTOSYNC_ARTICLE_ORDER_TOOLTIP'), JText::_('AUTOSYNC_ARTICLE_ORDER'));
					echo '&nbsp;'; 
					echo JHTML::tooltip(JText::_('AUTOSYNC_ARTICLE_ORDER_WARNING'), JText::_('AUTOSYNC_ARTICLE_ORDER'),'warning.png');
				?>
			</td>
		</tr>
		</table>
	</fieldset>
	<fieldset class="adminform">
		<legend><?php echo JText::_('FRONTEND_CONFIGURATION'); ?></legend>
		<table class="admintable" cellspacing="0" cellpadding="0" border="0" width="80%">	
		<tr>
			<td width="300" align="right" class="key" valign="top">			
				<label for="edit_items_level">
					<?php echo JText::_('EDIT_ITEMS_BY_USER'); ?>:
				</label>
			</td>
			<td>
				<?php echo $this->lists['edit_items_level']; ?>
				<?php echo JHTML::tooltip(JText::_('EDIT_ITEMS_TOOLTIP'), JText::_('EDIT_ITEMS_BY_USER')); ?>
			</td>
		</tr>
		<tr>
			<td width="300" align="right" class="key" valign="top">			
				<label for="edit_items_level">
					<?php echo JText::_('FRONT_END_PUBLISH'); ?>:
				</label>
			</td>
			<td>
				<?php echo $this->lists['front_end_publish']; ?>
				<?php echo JHTML::tooltip(JText::_('FRONT_END_PUBLISH_TOOLTIP'), JText::_('FRONT_END_PUBLISH')); ?>
			</td>
		</tr>
		<tr>
			<td width="300" align="right" class="key">			
				<label for="recaptcha_public_key">
					<?php echo JText::_('RECAPTCHA_PUBLIC_KEY'); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="recaptcha_public_key" id="recaptcha_public_key" size="70" maxlength="50" value="<?php echo htmlspecialchars($this->recaptcha_public_key); ?>" />
				<?php echo JHTML::tooltip(JText::_('RECAPTCHA_PUBLIC_KEY_TOOLTIP'), JText::_('RECAPTCHA_PUBLIC_KEY')); ?>
			</td>
		</tr>
		<tr>
			<td width="300" align="right" class="key">			
				<label for="recaptcha_private_key">
					<?php echo JText::_('RECAPTCHA_PRIVATE_KEY'); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="recaptcha_private_key" id="recaptcha_private_key" size="70" maxlength="50" value="<?php echo htmlspecialchars($this->recaptcha_private_key); ?>" />
				<?php echo JHTML::tooltip(JText::_('RECAPTCHA_PRIVATE_KEY_TOOLTIP'), JText::_('RECAPTCHA_PRIVATE_KEY')); ?>
			</td>
		</tr>
	</table>
	</fieldset>
</div>
<div class="clr"></div>

<input type="hidden" name="option" value="com_form2content" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="c" value="configuration" />
<?php echo JHTML::_('form.token'); ?>
</form>
<?php echo DisplayCredits(); ?>