<?php defined('_JEXEC') or die('Restricted access'); ?>
<?php
require_once(JPATH_COMPONENT_SITE.DS.'shared.form2content.php');
require_once(JPATH_COMPONENT_SITE.DS.'utils.form2content.php');
require_once(JPATH_COMPONENT_SITE.DS.'validations.form2content.php');
require_once(JPATH_COMPONENT.DS.'views'.DS.'viewhelper.form2content.php');
require_once(JPATH_COMPONENT_SITE.DS.'configuration.php');

jimport('joomla.utilities.date');
jimport('joomla.html.pane');

JHTML::_('behavior.tooltip');
JHTML::_('behavior.modal');
JHTML::_('behavior.mootools');
JHTML::_('behavior.calendar');
JHTML::script('f2c_lists.js','components/com_form2content/js/');
JHTML::script('f2c_frmval.js','components/com_form2content/js/');
JHTML::script('f2c_util.js','components/com_form2content/js/');

$config 	= new F2CConfig();
$imgPath 	= JURI::root(true).'/components/com_form2content/media/images/';
$pane 		=& JPane::getInstance('sliders', array('allowAllClose' => true));
$document 	=& JFactory::getDocument();

$title_caption 				= ($this->contentTypeSettings->title_caption) ? $this->contentTypeSettings->title_caption : JText::_('TITLE');
$title_alias_caption 		= ($this->contentTypeSettings->title_alias_caption) ? $this->contentTypeSettings->title_alias_caption : JText::_('TITLE_ALIAS');
$metakey_caption 			= ($this->contentTypeSettings->metakey_caption) ? $this->contentTypeSettings->metakey_caption : JText::_('METADATA_KEYWORDS');
$metadesc_caption 			= ($this->contentTypeSettings->metadesc_caption) ? $this->contentTypeSettings->metadesc_caption : JText::_('METADATA_DESCRIPTION');
$section_category_caption 	= ($this->contentTypeSettings->section_category_caption) ? $this->contentTypeSettings->section_category_caption : (JText::_('SECTION') . '/' . JText::_('CATEGORY'));
$created_by_caption			= ($this->contentTypeSettings->created_by_caption) ? $this->contentTypeSettings->created_by_caption : JText::_('Author');
$created_by_alias_caption	= ($this->contentTypeSettings->created_by_alias_caption) ? $this->contentTypeSettings->created_by_alias_caption : JText::_('Author') . ' ' . JText::_('Alias');
$state_caption 				= ($this->contentTypeSettings->state_caption) ? $this->contentTypeSettings->state_caption : JText::_('Published');
$frontpage_caption 			= ($this->contentTypeSettings->frontpage_caption) ? $this->contentTypeSettings->frontpage_caption : JText::_('FRONTPAGE');
$access_caption				= ($this->contentTypeSettings->access_caption) ? $this->contentTypeSettings->access_caption : JText::_('Access');
?>
<script type="text/javascript">
<!--
var jTextUp = '<?php echo JText::_('UP', true); ?>';
var jTextDown = '<?php echo JText::_('DOWN', true); ?>';
var jTextAdd = '<?php echo JText::_('ADD', true); ?>';
var jTextDelete = '<?php echo JText::_('DELETE', true); ?>';
var jImagePath = '<?php echo JURI::root(true).'/components/com_form2content/media/images/'; ?>';

var sectioncategories = new Array;
<?php
echo $this->jsValidation;
echo $this->jsEditorInit;

$i = 0;
if(array_key_exists('sectioncategories',$this->lists))
{
	foreach ($this->lists['sectioncategories'] as $k=>$items) 
	{
		foreach ($items as $v) 
		{
			echo "sectioncategories[".$i++."] = new Array( '$k','".addslashes( $v->id )."','".addslashes( $v->title )."' );\n\t\t";
		}
	}
}

$geoInit = false;

foreach($this->fields as $field)
{
	if($field->fieldtypeid == F2C_FIELDTYPE_GEOCODER)
	{
		if(!$geoInit)
		{
			JHTML::script('f2c_google.js','components/com_form2content/js/');
			JHTML::script('js?sensor=false','http://maps.google.com/maps/api/');
			
			echo "var geocoder;\n";
			$js =	'window.addEvent(\'load\', function() {
					 geocoder = new google.maps.Geocoder();
			  		 });';
			  		
			$document->addScriptDeclaration($js);		
			$geoInit = true;
		}
		
		echo "var t".$field->id."_map=null;\n";	
		echo "var t".$field->id."_marker=null;\n";			
	}
}
?>
function submitbutton(pressbutton)
{
	if(pressbutton == 'cancel')
	{
		submitform(pressbutton);
	}

	if(pressbutton == 'save' || pressbutton == 'apply')
	{
		var form = document.adminForm;
		
		if(form.title.value == '')
		{
			alert('<?php echo sprintf(JText::_('ERROR_FIELD_X_REQUIRED'), $title_caption); ?>');
			return false;
		}
		
		if(form.sectionid.value == -1)
		{
			alert('<?php echo JText::_('SELECT_A_SECTION'); ?>');
			return false;
		}
		
		if(form.catid.value == -1)
		{
			alert('<?php echo JText::_('SELECT_A_CATEGORY'); ?>');
			return false;
		}
		
		<?php echo $this->jsFieldVal; ?>
		if(!F2C_CheckRequiredFields(arrValidation)) return false;
	}
	
	<?php echo $this->jsEditorSave; ?>
	submitform(pressbutton);	
}
-->	
</script>
<form action="index.php" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">
<div class="col100">
	<fieldset class="adminform">
	<table cellspacing="0" cellpadding="0" border="0" width="100%">
	<tbody>
	<tr>
		<td valign="top">
			<table class="adminform">
			<tbody>
			<?php 
			if(!$this->isNew)
			{
			?>
			<tr>
				<td><label for="ID"><?php echo JText::_('ID'); ?></label></td>
				<td><?php echo $this->form->id; ?></td>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
			</tr>
			<?php
			}
			?>			
			<tr>
				<td><label for="title"><?php echo $title_caption; ?></label></td>
				<td><input class="text_area" type="text" name="title" id="title" size="40" maxlength="255" value="<?php echo htmlspecialchars($this->form->title); ?>" /></td>
				<td><label for="state"><?php echo $state_caption; ?></label></td>
				<td><?php echo $this->lists['state']; ?></td>
			</tr>
			<tr>
				<td><label for="title_alias"><?php echo $title_alias_caption; ?></label></td>
				<td><input class="text_area" type="text" name="title_alias" id="title_alias" size="40" maxlength="255" value="<?php echo htmlspecialchars($this->form->title_alias); ?>" /></td>
				<td><label for="frontpage"><?php echo $frontpage_caption; ?></label></td>
				<td><?php echo $this->lists['frontpage']; ?></td>
			</tr>
			<tr>
				<td><label for="sectionid"><?php echo JText::_('SECTION'); ?></label></td>
				<td><?php echo $this->lists['sectionid']; ?>
				</td>
				<td><label for="catid"><?php echo JText::_('CATEGORY'); ?></label></td>
				<td><?php echo $this->lists['catid']; ?></td>
			</tr>
			<tr>
				<td><label for="intro_template"><?php echo JText::_('INTRO_TEMPLATE'); ?></label></td>
				<td colspan="3">
					<input class="text_area" type="text" name="intro_template" id="intro_template" size="60" maxlength="255" value="<?php echo htmlspecialchars($this->form->intro_template); ?>" />
					<a class="modal" href="index.php?option=com_form2content&amp;c=templates&amp;task=selecttemplate&amp;format=raw&amp;mode=intro" rel="{handler: 'iframe', size: {x: 640, y: 480}}"><?php echo JText::_('CLICK_SELECT_TEMPLATE'); ?></a>
				</td>
			</tr>
			<tr>
				<td><label for="main_template"><?php echo JText::_('MAIN_TEMPLATE'); ?></label></td>
				<td colspan="3">
					<input class="text_area" type="text" name="main_template" id="main_template" size="60" maxlength="255" value="<?php echo htmlspecialchars($this->form->main_template); ?>" />
					<a class="modal" href="index.php?option=com_form2content&amp;c=templates&amp;task=selecttemplate&amp;format=raw&amp;mode=main" rel="{handler: 'iframe', size: {x: 640, y: 480}}"><?php echo JText::_('CLICK_SELECT_TEMPLATE'); ?></a>
				</td>
			</tr>
			</tbody>
			</table>
		
			<table class="admintable">
			<?php
			// User defined fields
			$k = 0;
			
			for ($i=0, $n=count($this->fields); $i < $n; $i++) 
			{
				$field 			= $this->fields[$i];				
				$parms 			= array();
				$fieldValues 	= (array_key_exists($field->id, $this->fieldValues)) ? $this->fieldValues[$field->id] : null;
								
				switch($field->fieldtypeid)
				{
					case F2C_FIELDTYPE_SINGLELINE:
						$parms = array(100, 100);
						break;
					case F2C_FIELDTYPE_IMAGE:
						$parms = array(100, 100);
						break;
	      			case F2C_FIELDTYPE_MULTILINETEXT:
	      				$parms = array('cols="100" rows="6"');
	      				break;
	      			case F2C_FIELDTYPE_MULTILINEEDITOR:	
	      				$parms = array(500, 350, 50, 20);
	      				break;
				}				
				?>
				<tr>
					<td width="100" align="right" class="key" valign="top">
						<?php echo $this->renderer->renderFieldLabel($field); ?>
					</td>
					<td>
						<?php echo $this->renderer->renderField($field, $fieldValues, $parms); ?>			
					</td>
				</tr>
				<?php
				$k = 1 - $k;			
			}
			?>		
			</table>						
		</td>
		<td width="320" valign="top" style="padding: 7px 0pt 0pt 5px;">
			<?php
			displayArticleStats($this->jFormRow);
			
			$title = JText::_('PARAMETERS_ARTICLE');
			echo $pane->startPane("content-pane");
			echo $pane->startPanel($title, "detail-page");
			?>
			<table class="paramlist admintable" width="100%" cellspacing="1">
			<tbody>
			<tr>
				<td width="40%" class="paramlist_key"><span class="editlinktip"><label id="created_by-lbl" for="created_by" class="hasTip" title="<?php echo $created_by_caption; ?>::<?php echo $created_by_caption; ?>"><?php echo $created_by_caption; ?></label></span></td>
				<td class="paramlist_value"><?php echo $this->lists['created_by']; ?></td>			
			</tr>
			<tr>
				<td width="40%" class="paramlist_key"><span class="editlinktip"><label id="created_by_alias-lbl" for="created_by_alias" class="hasTip" title="<?php echo $created_by_alias_caption; ?>::<?php echo $created_by_alias_caption; ?>"><?php echo $created_by_alias_caption; ?></label></span></td>
				<td class="paramlist_value"><input class="text_area" type="text" name="created_by_alias" id="created_by_alias" size="30" maxlength="50" value="<?php echo htmlspecialchars($this->form->created_by_alias); ?>" /></td>			
			</tr>

			<tr>
				<td width="40%" class="paramlist_key"><span class="editlinktip"><label id="access-lbl" for="access" class="hasTip" title="<?php echo $access_caption; ?>::<?php echo $access_caption; ?>"><?php echo $access_caption; ?></label></span></td>
				<td class="paramlist_value"><?php echo $this->lists['access']; ?></td>			
			</tr>
			<tr>
				<td width="40%" class="paramlist_key"><span class="editlinktip"><label id="created-lbl" for="created" class="hasTip" title="<?php JText::_('CREATED'); ?>::<?php echo JText::_('CREATED'); ?>"><?php echo JText::_('CREATED'); ?></label></span></td>
				<td class="paramlist_value">
					<input class="inputbox" type="text" name="created" id="created" size="24" maxlength="19" value="<?php echo $this->form->created; ?>" />
					<a href="#" onclick="return showCalendar('created', '<?php echo $config->date_format; ?>');"><img class="calendar" src="images/blank.png" alt="calendar" /></a>
				</td>			
			</tr>
			<tr>
				<td width="40%" class="paramlist_key"><span class="editlinktip"><label id="publish_up-lbl" for="publish_up" class="hasTip" title="<?php echo JText::_('START PUBLISHING'); ?>::<?php echo JText::_('START PUBLISHING'); ?>"><?php echo JText::_('START PUBLISHING'); ?></label></span></td>
				<td class="paramlist_value">
					<input class="inputbox" type="text" name="publish_up" id="publish_up" size="24" maxlength="19" value="<?php echo $this->form->publish_up; ?>" />
					<a href="#" onclick="return showCalendar('publish_up', '<?php echo $config->date_format; ?>');"><img class="calendar" src="images/blank.png" alt="calendar" /></a>
				</td>			
			</tr>
			<tr>
				<td width="40%" class="paramlist_key"><span class="editlinktip"><label id="publish_down-lbl" for="publish_down" class="hasTip" title="<?php echo JText::_('FINISH PUBLISHING'); ?>::<?php echo JText::_('FINISH PUBLISHING'); ?>"><?php echo JText::_('FINISH PUBLISHING'); ?></label></span></td>
				<td class="paramlist_value">
					<input class="inputbox" type="text" name="publish_down" id="publish_down" size="24" maxlength="19" value="<?php echo $this->form->publish_down; ?>" />
					<a href="#" onclick="return showCalendar('publish_down', '<?php echo $config->date_format; ?>');"><img class="calendar" src="images/blank.png" alt="calendar" /></a>
				</td>			
			</tr>
			</tbody>
			</table>
			<?php
			$title = JText::_('PARAMETERS_ADVANCED');
			echo $pane->endPanel();
			echo $pane->startPanel( $title, "params-page");
			echo $this->jAdvancedArticleParms->render('params', 'advanced');

			$title = JText::_('METADATA_INFORMATION');
			echo $pane->endPanel();
			echo $pane->startPanel($title, "metadata-page");
			echo $this->jAdvancedArticleParms->render('meta', 'metadata');
			echo $pane->endPanel();
			echo $pane->endPane();			
			?>
		</td>
	</tr>
	</tbody>
	</table>		
	</fieldset>
</div>

<?php echo DisplayCredits(); ?>

<input type="hidden" name="option" value="com_form2content" />
<input type="hidden" name="id" value="<?php echo $this->form->id; ?>" />
<input type="hidden" name="ordering" value="<?php echo $this->form->ordering; ?>" />
<input type="hidden" name="projectid" value="<?php echo $this->form->projectid; ?>" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="c" value="form" />
<?php echo JHTML::_('form.token'); ?>
</form>
