<?php
defined('_JEXEC') or die('Restricted acccess');

require_once(JPATH_COMPONENT_SITE.DS.'shared.form2content.php');

jimport('joomla.language.helper');
jimport('joomla.application.component.view');

class Form2ContentViewTranslations extends JView
{
	function display($tpl = null)
	{
		$language 			=& JFactory::getLanguage();
		$availableLanguages = JLanguageHelper::createLanguageList('');
		$app 				=& JFactory::getApplication();
		$option 			= JRequest::getCmd('option');
		$search				= $app->getUserStateFromRequest($option.'projects', 'search', '', 'string');
		$search				= JString::strtolower($search);
						
		JToolBarHelper::title(JText::_('FORM2CONTENT') . ' - ' . JText::_('TRANSLATIONS'), 'generic.png');
		JToolBarHelper::deleteList();
		JToolBarHelper::editListX();	
		
		
		// Get data from the model
		$items 		=& $this->get('Data');
		$total 		=& $this->get('Total');
		$pagination =& $this->get('Pagination');
		
		// search filter
		$lists['search']= $search;

		$languageid = JRequest::getString('filter_languageid', '');
		
		$listLanguages[] = JHTML::_('select.option', '', '--&nbsp;' . JText::_('ALL_LANGUAGES') . '&nbsp;--', 'value', 'text');
		$listLanguages = array_merge($listLanguages, $availableLanguages);

		$lists['filter_languageid'] = JHTML::_('select.genericlist',  $listLanguages, 'filter_languageid', 'class="inputbox" size="1" onchange="submitform( );"', 'value', 'text', $languageid);		

		$projectid = JRequest::getInt('filter_projectid', -1);
		$listProjects[] = JHTML::_('select.option', '-1', '--&nbsp;' . JText::_('SELECT_A_PROJECT') . '&nbsp;--', 'id', 'title');
		// get all projects: both published and unpublished
		$listProjects = array_merge($listProjects, getProjectList(false));
						
		$lists['filter_projectid'] = JHTML::_('select.genericlist',  $listProjects, 'filter_projectid', 'class="inputbox" size="1" onchange="submitform( );"', 'id', 'title', $projectid);		

		// create languages collection
		foreach($availableLanguages as $availableLanguage)
		{
			$languages[$availableLanguage['value']] = $availableLanguage['text']; 
		}
		
		$this->assignRef('lists', $lists);
		$this->assignRef('languages', $languages);
		$this->assignRef('items', $items);		
		$this->assignRef('pagination', $pagination);
		
		parent::display($tpl);			
	}
}
?>