﻿<?php
defined('_JEXEC') or die('Restricted acccess');

require_once(JPATH_SITE.DS.'components'.DS.'com_form2content'.DS.'utils.form2content.php');

function com_install() 
{
	$msg = '';
	?>	
	<div align="left">
	<img src="components/com_form2content/media/images/logo_opensource_design.gif" width="230" height="122" border="0">
	<h2><?php JText::_('WELCOME_TO_F2C'); ?></h2>
	<p>&nbsp;</p>	
	<?php			
 	if(!ImageHelper::isGdiLibInstalled())
 	{
		echo str_pad(JText::_('GDI_NOT_INSTALLED'), 100, '.');
		echo '<br/>';		
 	}
 	
	$path = JPATH_SITE . '/images/stories/com_form2content';
	
	if(!JFolder::exists($path))
	{
		JFolder::create($path, 0775);
	}
	
	$path = JPATH_SITE . '/media/com_form2content';
	
	if(!JFolder::exists($path))
	{
		JFolder::create($path, 0775);
	}
	
	$path = JPATH_SITE . '/media/com_form2content/templates';
	
	if(!JFolder::exists($path))
	{
		JFolder::create($path, 0775);
	}
	
	$path = JPATH_SITE . '/media/com_form2content/documents';
	
	if(!JFolder::exists($path))
	{
		JFolder::create($path, 0775);
	}
	
	// perform some database updates
	$db =& JFactory::getDBO();
	
	// insert Field Types
	$sql = 'INSERT INTO #__f2c_fieldtype (`id`, `description`) SELECT 7, \'IFrame\' FROM #__f2c_fieldtype Where id = 7 HAVING COUNT(*) = 0';
	$db->setQuery($sql);
	$db->query();
	
	$sql = 'INSERT INTO #__f2c_fieldtype (`id`, `description`) SELECT 8, \'E-mail\' FROM #__f2c_fieldtype Where id = 8 HAVING COUNT(*) = 0';
	$db->setQuery($sql);
	$db->query();
	
	$sql = 'INSERT INTO #__f2c_fieldtype (`id`, `description`) SELECT 9, \'Hyperlink\' FROM #__f2c_fieldtype Where id = 9 HAVING COUNT(*) = 0';
	$db->setQuery($sql);
	$db->query();
	
	$sql = 'INSERT INTO #__f2c_fieldtype (`id`, `description`) SELECT 10, \'Multi select list (checkboxes)\' FROM #__f2c_fieldtype Where id = 10 HAVING COUNT(*) = 0';
	$db->setQuery($sql);
	$db->query();

	$sql = 'INSERT INTO #__f2c_fieldtype (`id`, `description`) SELECT 11, \'Info Text\' FROM #__f2c_fieldtype Where id = 11 HAVING COUNT(*) = 0';
	$db->setQuery($sql);
	$db->query();

	$sql = 'INSERT INTO #__f2c_fieldtype (`id`, `description`) SELECT 12, \'Date Picker\' FROM #__f2c_fieldtype Where id = 12 HAVING COUNT(*) = 0';
	$db->setQuery($sql);
	$db->query();

	$sql = 'INSERT INTO #__f2c_fieldtype (`id`, `description`) SELECT 13, \'Display List\' FROM #__f2c_fieldtype Where id = 13 HAVING COUNT(*) = 0';
	$db->setQuery($sql);
	$db->query();

	$sql = 'INSERT INTO #__f2c_fieldtype (`id`, `description`) SELECT 14, \'File Upload\' FROM #__f2c_fieldtype Where id = 14 HAVING COUNT(*) = 0';
	$db->setQuery($sql);
	$db->query();
	
	$sql = 'INSERT INTO #__f2c_fieldtype (`id`, `description`) SELECT 15, \'Database Lookup\' FROM #__f2c_fieldtype Where id = 15 HAVING COUNT(*) = 0';
	$db->setQuery($sql);
	$db->query();

	$sql = 'INSERT INTO #__f2c_fieldtype (`id`, `description`) SELECT 17, \'Database Lookup (Multi select)\' FROM #__f2c_fieldtype Where id = 17 HAVING COUNT(*) = 0';
	$db->setQuery($sql);
	$db->query();
	
	// add missing columns
	$db->setQuery('SHOW COLUMNS FROM #__f2c_project LIKE \'settings\'');

	if(!$db->loadResult())
	{
		$db->setQuery('ALTER TABLE #__f2c_project ADD COLUMN `settings` text NOT NULL default \'\'');
		$db->query();
	}
	
	$db->setQuery('SHOW COLUMNS FROM #__f2c_form LIKE \'state\'');

	if(!$db->loadResult())
	{
		$db->setQuery('ALTER TABLE #__f2c_form ADD COLUMN `state` tinyint(3) NOT NULL DEFAULT \'0\'');
		$db->query();
		
		$db->setQuery('UPDATE #__f2c_form f INNER JOIN #__content c ON (f.reference_id = c.id AND c.state > 0) SET f.state = 1');
		$db->query();		
	}

	$db->setQuery('SHOW COLUMNS FROM #__f2c_form LIKE \'frontpage\'');

	if(!$db->loadResult())
	{
		$db->setQuery('ALTER TABLE #__f2c_form ADD COLUMN `frontpage` tinyint(3) NOT NULL DEFAULT \'0\'');
		$db->query();
	}
	
	$db->setQuery('SHOW COLUMNS FROM #__f2c_form LIKE \'access\'');

	if(!$db->loadResult())
	{
		$db->setQuery('ALTER TABLE #__f2c_form ADD COLUMN `access` int(10) unsigned NOT NULL DEFAULT \'0\'');
		$db->query();
	}
	
	$db->setQuery('SHOW COLUMNS FROM #__f2c_form LIKE \'created_by_alias\'');

	if(!$db->loadResult())
	{
		$db->setQuery('ALTER TABLE #__f2c_form ADD COLUMN `created_by_alias` varchar(255) NOT NULL DEFAULT \'\' AFTER `created_by`');
		$db->query();
	}
		
	// set correct ordering
	$db->setQuery('SELECT COUNT(ordering) FROM #__f2c_form WHERE ordering = 0');
	
	if($db->loadResult())
	{
		$db->setQuery('UPDATE #__f2c_form f SET f.ordering = f.id');
		$db->query();
	}
	
	$db->setQuery('ALTER TABLE #__f2c_project MODIFY COLUMN `catid` INTEGER NOT NULL DEFAULT 0');
	$db->query();

	$db->setQuery('ALTER TABLE #__f2c_project MODIFY COLUMN `sectionid` INTEGER NOT NULL DEFAULT 0');
	$db->query();	

	$db->setQuery('ALTER TABLE #__f2c_form MODIFY COLUMN `title` VARCHAR(255) NOT NULL default \'\'');
	$db->query();		
	
	$db->setQuery('ALTER TABLE #__f2c_form MODIFY COLUMN `title_alias` VARCHAR(255) NOT NULL default \'\'');
	$db->query();
	
	$db->setQuery('SHOW COLUMNS FROM #__f2c_form LIKE \'attribs\'');

	if(!$db->loadResult())
	{
		// 2.5.0 release
		$db->setQuery('ALTER TABLE #__f2c_form ADD COLUMN `attribs` text NOT NULL DEFAULT \'\' AFTER `access`');
		$db->query();
		$db->setQuery('ALTER TABLE #__f2c_form ADD COLUMN `metadata` text NOT NULL DEFAULT \'\' AFTER `attribs`');
		$db->query();
		$db->setQuery('ALTER TABLE #__f2c_project ADD COLUMN `attribs` text NOT NULL DEFAULT \'\' AFTER `settings`');
		$db->query();
		$db->setQuery('ALTER TABLE #__f2c_project ADD COLUMN `metadata` text NOT NULL DEFAULT \'\' AFTER `attribs`');
		$db->query();		
	}
	
	$db->setQuery('SELECT COUNT(*) FROM #__f2c_fieldtype WHERE id = 16');
	
	if(!$db->loadResult())
	{
		// 2.7.0 release
		$sql = 'INSERT INTO #__f2c_fieldtype (`id`, `description`) SELECT 16, \'Geo Coder\' FROM #__f2c_fieldtype Where id = 16 HAVING COUNT(*) = 0';
		$db->setQuery($sql);
		$db->query();		
		$db->setQuery('ALTER TABLE #__f2c_fieldcontent ADD COLUMN `attribute` varchar(10) NOT NULL DEFAULT \'VALUE\' AFTER `fieldid`');
		$db->query();		
	}
?>
<form name="adminform" id="adminform" method="post" action="index.php">
<p><strong>The upgrade of Form2Content Pro is complete.</strong></p>
<p><div style="height:400px;">&nbsp;</div></p>
</form>
</div>
<?php
}
?>