<?php
defined('_JEXEC') or die();

function Form2ContentBuildRoute(&$query)
{

	//static $items;
	$segments	= array();

	// get a menu item based on Itemid or currently active
	$menu = &JSite::getMenu();
	
	if (empty($query['Itemid'])) 
	{
		$menuItem = &$menu->getActive();
	}
	else 
	{
		$menuItem = &$menu->getItem($query['Itemid']);
	}

	$mController	= (empty($menuItem->query['c'])) ? null : $menuItem->query['c'];
	$mView			= (empty($menuItem->query['view'])) ? null : $menuItem->query['view'];
	$mId			= (empty($menuItem->query['id'])) ? null : $menuItem->query['id'];
	$mTask			= (empty($menuItem->query['task'])) ? null : $menuItem->query['task'];

	$c				= array_key_exists('c', $query) ? $query['c']: null;
	$task			= array_key_exists('task', $query) ? $query['task'] : null;
	$view			= array_key_exists('view', $query) ? $query['view'] : null;
	$id				= array_key_exists('id', $query) ? $query['id'] : null;

	switch($mView)
	{
		case 'forms':
			// Orignally from menu article list
			if($c == 'form')
			{
				$segments[] = 'f2c-article';
				$segments[] = $task;
				unset($query['c']);
				unset($query['task']);
			}
			else
			{
				$segments[] = 'f2c-articlelist';
				
				if($mView)
				{
					unset($query['view']);
				}
				
				if($mTask)
				{
					unset($query['task']);
				}
		
				if($mController)
				{
					unset($query['c']);
				}
			}
			break;
			
		case 'form':
			// Menu direct link to article
			$segments[] = 'f2c-article';
			$segments[] = 'display';
			unset($query['c']);
			unset($query['task']);
			break;
	}
	
	return $segments;
}

function Form2ContentParseRoute($segments)
{
	$vars 	= array();
	$menu	= &JSite::getMenu();
	
	if (empty($query['Itemid'])) 
	{
		$menuItem = &$menu->getActive();
	} 
	else 
	{
		$menuItem = &$menu->getItem($query['Itemid']);
	}

	$vars['Itemid'] = $menuItem->id;
	
	$count = count($segments);

	if($count == 1)
	{
		$vars['c']    = 'forms';
		$vars['view']    = 'forms';
		$vars['task']    = 'viewformlist';
	}
	else
	{
		$vars['c']    = 'form';
		$vars['task']    = $segments[1];
		$vars['view']    = 'form';
	}	

	return $vars;
}