<?php
defined('_JEXEC') or die('Restricted acccess');

require_once(JPATH_SITE.DS.'components'.DS.'com_form2content'.DS.'configuration.php');
require_once(JPATH_SITE.DS.'components'.DS.'com_form2content'.DS.'parser.form2content.php');
require_once(JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');

jimport('joomla.template.template');
jimport('joomla.utilities.date');

defined('F2C_FIELDTYPE_SINGLELINE') 		or define('F2C_FIELDTYPE_SINGLELINE', 1);
defined('F2C_FIELDTYPE_MULTILINETEXT') 		or define('F2C_FIELDTYPE_MULTILINETEXT', 2);
defined('F2C_FIELDTYPE_MULTILINEEDITOR')	or define('F2C_FIELDTYPE_MULTILINEEDITOR', 3);
defined('F2C_FIELDTYPE_CHECKBOX') 			or define('F2C_FIELDTYPE_CHECKBOX', 4);
defined('F2C_FIELDTYPE_SINGLESELECTLIST')	or define('F2C_FIELDTYPE_SINGLESELECTLIST', 5);
defined('F2C_FIELDTYPE_IMAGE') 				or define('F2C_FIELDTYPE_IMAGE', 6);
defined('F2C_FIELDTYPE_IFRAME') 			or define('F2C_FIELDTYPE_IFRAME', 7);
defined('F2C_FIELDTYPE_EMAIL') 				or define('F2C_FIELDTYPE_EMAIL', 8);
defined('F2C_FIELDTYPE_HYPERLINK') 			or define('F2C_FIELDTYPE_HYPERLINK', 9);
defined('F2C_FIELDTYPE_MULTISELECTLIST') 	or define('F2C_FIELDTYPE_MULTISELECTLIST', 10);
defined('F2C_FIELDTYPE_INFOTEXT') 			or define('F2C_FIELDTYPE_INFOTEXT', 11);
defined('F2C_FIELDTYPE_DATEPICKER') 		or define('F2C_FIELDTYPE_DATEPICKER', 12);
defined('F2C_FIELDTYPE_DISPLAYLIST') 		or define('F2C_FIELDTYPE_DISPLAYLIST', 13);
defined('F2C_FIELDTYPE_FILE') 				or define('F2C_FIELDTYPE_FILE', 14);
defined('F2C_FIELDTYPE_DATABASE_LOOKUP')	or define('F2C_FIELDTYPE_DATABASE_LOOKUP', 15);
defined('F2C_FIELDTYPE_GEOCODER')			or define('F2C_FIELDTYPE_GEOCODER', 16);
defined('F2C_FIELDTYPE_DB_LOOKUP_MULTI')	or define('F2C_FIELDTYPE_DB_LOOKUP_MULTI', 17);

defined('F2C_ENTITY_CONTENTTYPE')			or define('F2C_ENTITY_CONTENTTYPE', 1);
defined('F2C_ENTITY_CONTENTTYPEFIELD')		or define('F2C_ENTITY_CONTENTTYPEFIELD', 2);
defined('F2C_ENTITY_ARTICLE')				or define('F2C_ENTITY_ARTICLE', 3);
defined('F2C_ENTITY_ARTICLEFIELD')			or define('F2C_ENTITY_ARTICLEFIELD', 4);

defined('F2C_DEFAULT_THUMBNAIL_WIDTH')		or define('F2C_DEFAULT_THUMBNAIL_WIDTH', 150);
defined('F2C_DEFAULT_THUMBNAIL_HEIGHT')		or define('F2C_DEFAULT_THUMBNAIL_HEIGHT', 150);

defined('F2C_ERROR_MAX_FORMS')				or define('F2C_ERROR_MAX_FORMS', 800);
defined('F2C_ERROR_NO_CONTENT_TYPE')		or define('F2C_ERROR_NO_CONTENT_TYPE', 801);
defined('F2C_ERROR_NOT_AUTHORIZED')			or define('F2C_ERROR_NOT_AUTHORIZED', 802);

/*
defined('F2C_TEMPLATE_INTRO')				or define('F2C_TEMPLATE_INTRO', 0);
defined('F2C_TEMPLATE_MAIN')				or define('F2C_TEMPLATE_MAIN', 1);

defined('F2C_ENGINE_PATTEMPLATE')			or define('F2C_ENGINE_PATTEMPLATE', 0);
defined('F2C_ENGINE_SMARTY')				or define('F2C_ENGINE_SMARTY', 1);
*/

function getValueOrDefault($data, $default = '')
{
	return ($data) ? $data : $default;
}

function getProjectList($publishedOnly = true)
{
	$db =& JFactory::getDBO();		
	$query = 'SELECT id, title FROM #__f2c_project ';
	if($publishedOnly) $query .= 'WHERE published = 1 '; 
	$query .= 'ORDER BY title ASC';
	$db->setQuery($query);
	return $db->loadObjectList();			
}

function getAuthorList()
{
	// get list of Authors for dropdown filter
	$query = 'SELECT u.id as created_by, u.name FROM #__users u ORDER BY u.name';
	$db =& JFactory::getDBO();
	$db->setQuery($query);
	$list = $db->loadObjectList();

	$anonymousAuthor = new stdClass();
	$anonymousAuthor->created_by = 0;
	$anonymousAuthor->name = JText::_('ANONYMOUS_AUTHOR');
	array_unshift($list, $anonymousAuthor);
	
	return $list;
}

function getAccessLevelList()
{
	$db =& JFactory::getDBO();
	$query = 'SELECT id AS value, name AS text FROM #__groups ORDER BY id';
	$db->setQuery( $query );
	$list = $db->loadObjectList();
	return $list;
}

function getCategoryList($selectedSectionid, $selectedCatid, $attribs = '')
{
	$db =& JFactory::getDBO();
	$categories[] = JHTML::_('select.option', '-1', '- '.JText::_('SELECT_CATEGORY').' -', 'id', 'title');
	
	$query = 'SELECT id, title' .
			' FROM #__categories' .
			' WHERE section = \''.$selectedSectionid.'\' AND published = 1 ' .
			' ORDER BY ordering';
	$db->setQuery($query);
	
	$cat_list = array_merge($categories, $db->loadObjectList());
	$categories = JHTML::_('select.genericlist',  $cat_list, 'catid', 'class="inputbox" size="1" ' . $attribs, 'id', 'title', intval($selectedCatid));

	return $categories;
}

function getSectionCategoryList($selectedSectionid, $selectedCatid, $javascript)
{
	$db =& JFactory::getDBO();
	
	$query = 'SELECT s.id, s.title' .
			' FROM #__sections AS s' .
			' WHERE published = 1 ' .
			' ORDER BY s.ordering';
			
	$db->setQuery($query);

	$sections[] = JHTML::_('select.option', '-1', '- '.JText::_('SELECT_SECTION').' -', 'id', 'title');
	$sections[] = JHTML::_('select.option', '0', JText::_('Uncategorized'), 'id', 'title');
	$sections = array_merge($sections, $db->loadObjectList());
	$lists['sectionid'] = JHTML::_('select.genericlist',  $sections, 'sectionid', 'class="inputbox" size="1" '.$javascript, 'id', 'title', intval($selectedSectionid));

	foreach ($sections as $section)
	{
		$section_list[] = (int) $section->id;
		// get the type name - which is a special category
		if ($selectedSectionid) 
		{
			if ($section->id == $selectedSectionid) 
			{
				$contentSection = $section->title;
			}
		} else {
			if ($section->id == $selectedSectionid) 
			{
				$contentSection = $section->title;
			}
		}
	}

	$sectioncategories = array ();
	$sectioncategories[-1] = array ();
	$sectioncategories[-1][] = JHTML::_('select.option', '-1', '- '.JText::_('SELECT_CATEGORY').' -', 'id', 'title');
	$section_list = implode('\', \'', $section_list);

	$query = 'SELECT id, title, section' .
			' FROM #__categories' .
			' WHERE section IN ( \''.$section_list.'\' )' .
			' AND published = 1 ' . 
			' ORDER BY ordering';
	$db->setQuery($query);
	$cat_list = $db->loadObjectList();

	// Uncategorized category mapped to uncategorized section
	$uncat = new stdClass();
	$uncat->id = 0;
	$uncat->title = JText::_('Uncategorized');
	$uncat->section = 0;
	$cat_list[] = $uncat;
	foreach ($sections as $section)
	{
		$sectioncategories[$section->id] = array ();
		$rows2 = array ();
		foreach ($cat_list as $cat)
		{
			if ($cat->section == $section->id) {
				$rows2[] = $cat;
			}
		}
		foreach ($rows2 as $row2) {
			$sectioncategories[$section->id][] = JHTML::_('select.option', $row2->id, $row2->title, 'id', 'title');
		}
	}
	$sectioncategories['-1'][] = JHTML::_('select.option', '-1', '- '.JText::_('SELECT_CATEGORY').' -', 'id', 'title');
	$categories = array();
	foreach ($cat_list as $cat) {
		if($cat->section == $selectedSectionid)
			$categories[] = $cat;
	}

	$categories[] = JHTML::_('select.option', '-1', '- '.JText::_('SELECT_CATEGORY').' -', 'id', 'title');
	$lists['catid'] = JHTML::_('select.genericlist',  $categories, 'catid', 'class="inputbox" size="1"', 'id', 'title', intval($selectedCatid));
	$lists['sectioncategories'] = $sectioncategories;
	
	return $lists;	
}

function getSectionCategoryListAdmin($selectedSectionid, $selectedCatid, $javascript)
{
	$db =& JFactory::getDBO();
	
	// determine the current sections
	$query = 'SELECT s.id, s.title' .
			' FROM #__sections AS s' .
			' WHERE published = 1 ' .
			' ORDER BY s.ordering';
			
	$db->setQuery($query);

	$sections[] = JHTML::_('select.option', '-1', '- '.JText::_('Select Section').' -', 'id', 'title');
	$sections[] = JHTML::_('select.option', '0', JText::_('Uncategorized'), 'id', 'title');
	$sections = array_merge($sections, $db->loadObjectList());
	$lists['sectionid'] = JHTML::_('select.genericlist',  $sections, 'sectionid', 'class="inputbox" size="1" '.$javascript, 'id', 'title', intval($selectedSectionid));

	foreach ($sections as $section)
	{
		$section_list[] = (int) $section->id;
		// get the type name - which is a special category
		if ($selectedSectionid) 
		{
			if ($section->id == $selectedSectionid) 
			{
				$contentSection = $section->title;
			}
		} else {
			if ($section->id == $selectedSectionid) 
			{
				$contentSection = $section->title;
			}
		}
	}

	$sectioncategories = array ();
	$sectioncategories[-1] = array ();
	$sectioncategories[-1][] = JHTML::_('select.option', '-1', '- '.JText::_( 'Select Category' ).' -', 'id', 'title');
	$section_list = implode('\', \'', $section_list);

	$query = 'SELECT id, title, section' .
			' FROM #__categories' .
			' WHERE section IN ( \''.$section_list.'\' )' .
			' AND published = 1 ' . 
			' ORDER BY ordering';
	$db->setQuery($query);
	$cat_list = $db->loadObjectList();

	// Uncategorized category mapped to uncategorized section
	$uncat = new stdClass();
	$uncat->id = 0;
	$uncat->title = JText::_('Uncategorized');
	$uncat->section = 0;
	
	$fixedSectionChooseCat = new stdClass();
	$fixedSectionChooseCat->id = -2;
	$fixedSectionChooseCat->title = '- '.JText::_('SECTION_FIXED_USER_CHOOSES_CATEGORY').' -';
	$fixedSectionChooseCat->section = 0;
	
	$cat_list[] = $uncat;
	
	foreach ($sections as $section)
	{
		$sectioncategories[$section->id] = array ();
		$rows2 = array ();
				
		if((int)$section->id > 0)
		{
			$fixedSectionChooseCat->section = $section->id;
			$rows2[] = $fixedSectionChooseCat;
		}
		
		foreach ($cat_list as $cat)
		{
			if ($cat->section == $section->id) {
				$rows2[] = $cat;
			}
		}
		foreach ($rows2 as $row2) {
			$sectioncategories[$section->id][] = JHTML::_('select.option', $row2->id, $row2->title, 'id', 'title');
		}
	}
	$sectioncategories['-1'][] = JHTML::_('select.option', '-1', '- '.JText::_( 'Select Category' ).' -', 'id', 'title');
	$categories = array();
	foreach ($cat_list as $cat) 
	{
		if($cat->section == $selectedSectionid)
		{
			$categories[] = $cat;
		}
	}

	// current categories
	array_unshift(	$categories, 
					JHTML::_('select.option', '-1', '- '.JText::_( 'Select Category' ).' -', 'id', 'title'), 
					JHTML::_('select.option', '-2', '- '.JText::_( 'SECTION_FIXED_USER_CHOOSES_CATEGORY' ).' -', 'id', 'title'));
	
	$lists['catid'] = JHTML::_('select.genericlist',  $categories, 'catid', 'class="inputbox" size="1"', 'id', 'title', intval($selectedCatid));
	$lists['sectioncategories'] = $sectioncategories;
	
	return $lists;
}

function unquoteData($data)
{
	if(get_magic_quotes_gpc())
	{
		return(stripslashes($data));
	}
	else
	{
		return $data;
	}
}

class HtmlHelper
{
	function HiddenField($name, $value)
	{
		return '<input type="hidden" name="'.$name.'" id="'.$name.'" value="'.htmlspecialchars($value).'">';
	}
	
	function getCheckBox($name)
	{
		return (JRequest::getVar($name, 0)) ? 1 : 0;
	}
	
	function detectUTF8($string)
	{
	    return preg_match('%(?:
	        [\xC2-\xDF][\x80-\xBF]             # non-overlong 2-byte
	        |\xE0[\xA0-\xBF][\x80-\xBF]        # excluding overlongs
	        |[\xE1-\xEC\xEE\xEF][\x80-\xBF]{2} # straight 3-byte
	        |\xED[\x80-\x9F][\x80-\xBF]        # excluding surrogates
	        |\xF0[\x90-\xBF][\x80-\xBF]{2}     # planes 1-3
	        |[\xF1-\xF3][\x80-\xBF]{3}         # planes 4-15
	        |\xF4[\x80-\x8F][\x80-\xBF]{2}     # plane 16
	        )+%xs', 
	    $string);
	}

	function stringHTMLSafe($string)
	{
		if(HtmlHelper::detectUTF8($string))
		{
			$safeString = htmlentities ($string, ENT_COMPAT, 'UTF-8');
		}
		else
		{
			$safeString = htmlentities ($string, ENT_COMPAT);
		}
		
		return $safeString;
	}		
}


function saveContentPrep(&$row)
{
	// Clean text for xhtml transitional compliance
	$row->introtext	= str_replace( '<br>', '<br />', $row->introtext);
	$row->fulltext	= str_replace( '<br>', '<br />', $row->fulltext);

	// Filter settings
	jimport( 'joomla.application.component.helper' );
	$config	= JComponentHelper::getParams('com_content');
	$user	= &JFactory::getUser();
	$gid	= $user->get('gid');

	$filterGroups	= (array) $config->get( 'filter_groups' );
	if (in_array( $gid, $filterGroups ))
	{
		$filterType		= $config->get( 'filter_type' );
		$filterTags		= preg_split( '#[,\s]+#', trim( $config->get( 'filter_tags' ) ) );
		$filterAttrs	= preg_split( '#[,\s]+#', trim( $config->get( 'filter_attritbutes' ) ) );
		switch ($filterType)
		{
			case 'NH':
				$filter	= new JFilterInput();
				break;
			case 'WL':
				$filter	= new JFilterInput( $filterTags, $filterAttrs, 0, 0 );
				break;
			case 'BL':
			default:
				$filter	= new JFilterInput( $filterTags, $filterAttrs, 1, 1 );
				break;
		}
		$row->introtext	= $filter->clean( $row->introtext );
		$row->fulltext	= $filter->clean( $row->fulltext );
	}

	return true;
}

function parseSingleForm($formModel, $publishState)
{
	$config 		=& JFactory::getConfig();
	$tzoffset 		= $config->getValue('config.offset');
	$db 			=& JFactory::getDBO();
	$user 			=& JFactory::getUser();
	$introTmpl 		= null;
	$mainTmpl		= null;
	$nullDate 		= $db->getNullDate();
	$datenow 		=& JFactory::getDate();
	$dispatcher 	=& JDispatcher::getInstance();
	$row			= null;
	$form			=& $formModel->_data;
	$f2cconfig 		= new F2CConfig();
	$parseResult	= new F2C_ParseResult();

	JPluginHelper::importPlugin('content');
	
	if(array_key_exists('autosync_article_order',get_object_vars($f2cconfig)) && $f2cconfig->autosync_article_order)
	{
		$autosync_article_order = $f2cconfig->autosync_article_order;
	}
	else
	{
		$autosync_article_order = false;
	}
	
	$formData = $formModel->_fieldData;
	
	$parser = new F2C_Parser();
	
	if(!$parser->addTemplate($form->intro_template, F2C_TEMPLATE_INTRO))
	{
		$parseResult->message = $parser->getError();
		return $parseResult;				
	}
	
	if($form->main_template)
	{
		if(!$parser->addTemplate($form->main_template, F2C_TEMPLATE_MAIN))
		{
			$parseResult->message = $parser->getError();
			return $parseResult;				
		}
	}
	
	$categoryAlias	= $form->catAlias; // for use in re-parsing
	$joomlaId 		= $form->reference_id;
	$usrTmp 		= JFactory::getUser($form->created_by);
	$form->fields 	= $formData;
	
	$parser->addVars($form);
	
	$row = & JTable::getInstance('content');
	$row->load((int)$form->reference_id);
	$isNew = false;
	
	$db->setQuery('SELECT COUNT(*) FROM #__content WHERE id=' . (int)$form->reference_id);
	
	if($db->loadResult())
	{
		$isNew = false;			
		// fail if checked out not by 'me'
		if ($row->checked_out && $row->checked_out != $user->id) 
		{
			$parseResult->message = JText::_('ERROR_FORM_CHECKED_OUT');
			return $parseResult;
		}
		
		$row->modified 		= $datenow->toMySQL();
		$row->modified_by 	= $user->get('id');			
	}
	else
	{
		// deleted / archived
		$isNew = true;
		$form->reference_id = null;
	}
	
	$row->created_by 	= $usrTmp->id;
	$row->created 		= $form->created;
	
	if($form->publish_up == $nullDate)
	{	
		$row->publish_up = $datenow->toFormat('%Y-%m-%d') . ' 00:00:00';
	}	
	else
	{
		$row->publish_up = $form->publish_up;
	}
	
	$row->publish_down = $form->publish_down;
	
	if($isNew)
	{
		// init new content item
		$row->id 				= 0;
		$row->title 			= '';
		$row->title_alias 		= '';
		$row->introtext 		= '';
		$row->fulltext 			= '';
		// if $publishState is not set, set item to form publish state
		$row->state				= ($publishState < 0) ? 0 : $form->state;
		$row->sectionid 		= 0;
		$row->mask 				= 0;
		$row->catid 			= 0;
		$row->created_by_alias 	= '';
		$row->modified 			= $nullDate;
		$row->modified_by		= 0;
		$row->checked_out		= 0;
		$row->checked_out_time	= 0;
		$row->images			= array();
		$row->urls				= '';
		$row->version 			= 0;
		$row->parentid 			= 0;
		$row->ordering 			= 0;
		$row->metakey			= '';		
		$row->metadesc			= '';		
		$row->access			= 0;		
		$row->hits				= 0;		
		$row->metadata			= '';
	}
	
	if($autosync_article_order)
	{
		$row->ordering = $form->ordering;
	}

	$parsedIntroContent = $parser->parseIntro();
	
	if($parser->getError())
	{
		$parseResult->message = $parser->getError();
		return $parseResult;
	}
	
	$parsedMainContent = $parser->parseMain();
	
	if($parser->getError())
	{
		$parseResult->message = $parser->getError();
		return $parseResult;
	}

	$row->introtext 		= $parsedIntroContent;	
	$row->fulltext 			= $parsedMainContent;
	$row->title 			= $form->title;
	$row->alias 			= $form->title_alias;
	$row->metadesc 			= $form->metadesc;
	$row->metakey			= $form->metakey;
	$row->sectionid 		= $form->sectionid;
	$row->catid 			= $form->catid;
	$row->state 			= ($publishState < 0) ? $form->state : $publishState;
	$row->created_by_alias 	= $form->created_by_alias;
	$row->access			= $form->access;
	$row->attribs			= $form->attribs;
	$row->metadata			= $form->metadata;
	
	// Prepare the content for saving to the database
	saveContentPrep($row);

	// Make sure the data is valid
	if (!$row->check()) 
	{
		$parseResult->message = $row->getError();
		return $parseResult;
	}

	// Increment the content version number
	$row->version++;

	$result = $dispatcher->trigger('onBeforeContentSave', array(&$row, $isNew));
	if(in_array(false, $result, true)) 
	{
		$parseResult->message = $row->getError();
		return $parseResult;
	}	

	// Store the content to the database
	if (!$row->store()) 
	{
		$parseResult->message = $db->stderr();
		return $parseResult;
	}

	if($isNew || $joomlaId != $row->id || !$form->title_alias)
	{
		// reparse to get the correct Article Id and/or title alias
		$slug = ($row->alias) ? $row->id.':'.$row->alias : $row->id;
		$catslug = ($categoryAlias) ? $form->catid.':'.$categoryAlias : $form->catid;
		
		$parser->clearVar('JOOMLA_ID');
		$parser->addVar('JOOMLA_ID', $row->id);
		$parser->clearVar('JOOMLA_TITLE_ALIAS');
		$parser->addVar('JOOMLA_TITLE_ALIAS', $row->alias);
		$parser->clearVar('JOOMLA_ARTICLE_LINK');		
		$parser->addVar('JOOMLA_ARTICLE_LINK', JRoute::_(ContentHelperRoute::getArticleRoute($slug, $catslug, $form->sectionid)));		 		
		$parser->clearTemplates();

		$parsedIntroContent = $parser->parseIntro();
		
		if($parser->getError())
		{
			$parseResult->message = $parser->getError();
			return $parseResult;
		}
	
		$parsedMainContent = $parser->parseMain();
		
		if($parser->getError())
		{
			$parseResult->message = $parser->getError();
			return $parseResult;
		}

		$row->introtext	= $parsedIntroContent;
		$row->fulltext 	= $parsedMainContent;

		// Prepare the content for saving to the database
		saveContentPrep($row);

		// Make sure the data is valid
		if (!$row->check()) 
		{
			$parseResult->message = $db->stderr();
			return $parseResult;
		}

		// Store the content to the database
		if (!$row->store()) 
		{
			$parseResult->message = $db->stderr();
			return $parseResult;
		}
	}
	
	// Check the article and update item order
	$row->checkin();

	if($autosync_article_order)
	{
		ContentHelper::syncArticleOrder($row->catid);	
	}
	else
	{
		$row->reorder('catid = '.(int) $row->catid.' AND state >= 0');
	}

	/*
	 * Frontpage handling - start
	 */
	if(!class_exists('TableFrontPage'))
	{
		require_once (JPATH_ADMINISTRATOR.DS.'components'.DS.'com_frontpage'.DS.'tables'.DS.'frontpage.php');
	}

	$fp = new TableFrontPage($db);

	// Is the article viewable on the frontpage?
	if ($form->frontpage)
	{
		// Is the item already viewable on the frontpage?
		if(!$fp->load($row->id))
		{
			// Insert the new entry
			$query = 'INSERT INTO #__content_frontpage' .
					' VALUES ( '. (int) $row->id .', 1 )';
			$db->setQuery($query);
			if (!$db->query())
			{
				JError::raiseError( 500, $db->stderr() );
				return false;
			}
			$fp->ordering = 1;
		}
	}
	else
	{
		// Delete the item from frontpage if it exists
		if (!$fp->delete($row->id)) 
		{
			$msg .= $fp->stderr();
		}
		$fp->ordering = 0;
	}
	$fp->reorder();
	/*
	 * Frontpage handling - end
	 */

	$cache = & JFactory::getCache('com_content');
	$cache->clean();

	$dispatcher->trigger('onAfterContentSave', array(&$row, $isNew));
 	
 	// sync form alias with content alias
 	$form->title_alias = $row->alias;
 	// sync form state with content state
 	$form->state = $row->state;
 	
	// update the form with the generated id
	if(!$form->reference_id)
	{
		$form->reference_id = $row->id;
	}
	
	if (!$formModel->store()) 
	{
		$parseResult->message = $db->stderr();
		return $parseResult;
	}
	
	$parseResult->success = true;
	return $parseResult;
}

function recursiveRemoveDirectory($directory)
{
	$directory = JPath::clean($directory);

	if(!JFolder::exists($directory)) return false;
	
	$files = JFolder::files($directory, '.', false, true);

	if(count($files))
	{		
		JFile::delete($files);
	}

	$folders = JFolder::folders($directory, '.', false, true);
	
	if(count($folders))
	{
		foreach($folders as $folder);
		{
			recursiveRemoveDirectory($folder);
		}
	}
		
	JFolder::delete($directory);	
	return true;
}


function deleteImages($entity, $entityId)
{
	$db =& JFactory::getDBO(); 

	switch($entity)
	{
		case F2C_ENTITY_CONTENTTYPE:
			recursiveRemoveDirectory(Path::Combine(F2C_Image::GetImagesRootPath(), "p$entityId"));		
			break;
			
		case F2C_ENTITY_ARTICLE:
			$db->setQuery("SELECT frm.projectid FROM #__f2c_form frm WHERE frm.id = $entityId");
			$projectid = $db->loadResult();
			recursiveRemoveDirectory(Path::Combine(F2C_Image::GetImagesRootPath(), "p$projectid/f$entityId"));							
			break;
			
		case F2C_ENTITY_CONTENTTYPEFIELD:
			$sql =	"SELECT pfl.projectid, fct.formid, fct.content " .
					"FROM #__f2c_projectfields pfl " .
					"INNER JOIN #__f2c_fieldcontent fct ON pfl.id = fct.fieldid " .
					"WHERE pfl.fieldtypeid = 6 AND pfl.id = $entityId";
					
			$db->setQuery($sql);
			$rows = $db->loadObjectList();
			
			for ($i=0, $n=count($rows); $i < $n; $i++) 
			{
		  		$row = &$rows[$i];
				  		
		  		if($row->content)
		  		{
		  			$imageData = unserialize($row->content);
		  		}
		  		
		  		$imageFile = Path::Combine(F2C_Image::GetImagesPath($row->projectid, $row->formid), $imageData->filename);
		  		$thumbNailFile = Path::Combine(F2C_Image::GetThumbnailsPath($row->projectid, $row->formid), $imageData->filename);
		  		
		  		if(JFile::exists($imageFile)) JFile::delete($imageFile);
		  		if(JFile::exists($thumbNailFile)) JFile::delete($thumbNailFile);
			}					
			break;
	}	
}

function deleteTableRows($tableName, $whereClause)
{
	$db =& JFactory::getDBO();	
	$db->setQuery("DELETE FROM $tableName WHERE ($whereClause)");

	if(!$db->query())
	{
		JError::raiseError('500', 'Form2Content Error: Cannot delete row for table `' . $tableName . '`');
		exit();
	}	
}

function checkFormAuthorization($form)
{
	$config = new F2CConfig();
	$user 	=& JFactory::getUser();
	
	if($form && $form->id && $form->created_by != $user->id)
	{
		// The current user is not the owner of the form, check the Edit Items Level
		switch($config->edit_items_level)
		{
			case 0:
				// Users can edit all items
				break;
			case 1:
				// Users can only edit their own items
				JError::raiseError(F2C_ERROR_NOT_AUTHORIZED, JText::_('ERROR_NOT_AUTHORIZED'));
				break;
			case 2:
				// Only admins can edit all the items
				if(!($user->usertype == 'Super Administrator' || $user->usertype == 'Administrator'))
				{
					JError::raiseError(F2C_ERROR_NOT_AUTHORIZED, JText::_('ERROR_NOT_AUTHORIZED'));
				}
				break;
		}
	}
}

class F2C_ParseResult
{
	var $success = false;
	var $message = '';
}
?>
