<?php defined('_JEXEC') or die('Restricted access'); ?>
<?php
require_once(JPATH_COMPONENT_SITE.DS.'shared.form2content.php');
require_once(JPATH_COMPONENT_SITE.DS.'utils.form2content.php');
require_once(JPATH_COMPONENT_SITE.DS.'validations.form2content.php');
require_once(JPATH_COMPONENT_SITE.DS.'configuration.php');

jimport('joomla.utilities.date');

JHTML::_('behavior.tooltip');
JHTML::_('behavior.modal');
JHTML::_('behavior.calendar');
JHTML::script('f2c_lists.js','components/com_form2content/js/');
JHTML::script('f2c_frmval.js','components/com_form2content/js/');
JHTML::script('f2c_util.js','components/com_form2content/js/');

$config 	= new F2CConfig();
$imgPath 	= JURI::root(true).'/components/com_form2content/media/images/';
$document 	=& JFactory::getDocument();

$title_caption 				= ($this->contentTypeSettings->title_caption) ? $this->contentTypeSettings->title_caption : JText::_('TITLE');
$title_alias_caption 		= ($this->contentTypeSettings->title_alias_caption) ? $this->contentTypeSettings->title_alias_caption : JText::_('TITLE_ALIAS');
$metakey_caption 			= ($this->contentTypeSettings->metakey_caption) ? $this->contentTypeSettings->metakey_caption : JText::_('METADATA_KEYWORDS');
$metadesc_caption 			= ($this->contentTypeSettings->metadesc_caption) ? $this->contentTypeSettings->metadesc_caption : JText::_('METADATA_DESCRIPTION');
$section_category_caption 	= ($this->contentTypeSettings->section_category_caption) ? $this->contentTypeSettings->section_category_caption : (JText::_('SECTION') . '/' . JText::_('CATEGORY'));
$created_by_caption			= ($this->contentTypeSettings->created_by_caption) ? $this->contentTypeSettings->created_by_caption : JText::_('Author');
$created_by_alias_caption	= ($this->contentTypeSettings->created_by_alias_caption) ? $this->contentTypeSettings->created_by_alias_caption : JText::_('Author') . ' ' . JText::_('Alias');
$state_caption 				= ($this->contentTypeSettings->state_caption) ? $this->contentTypeSettings->state_caption : JText::_('Published');
$frontpage_caption 			= ($this->contentTypeSettings->frontpage_caption) ? $this->contentTypeSettings->frontpage_caption : JText::_('Frontpage');
$access_caption				= ($this->contentTypeSettings->access_caption) ? $this->contentTypeSettings->access_caption : JText::_('Access');
?>
<script type="text/javascript">
<!--
var jTextUp = '<?php echo JText::_('UP', true); ?>';
var jTextDown = '<?php echo JText::_('DOWN', true); ?>';
var jTextAdd = '<?php echo JText::_('ADD', true); ?>';
var jTextDelete = '<?php echo JText::_('DELETE', true); ?>';
var jImagePath = '<?php echo JURI::root(true).'/components/com_form2content/media/images/'; ?>';
<?php 
echo $this->jsValidation;
echo $this->jsEditorInit;

if($this->project->frontend_catsel)
{
?>
	var checkSection = true;
	var sectioncategories = new Array;
	<?php
	$i = 0;

	if(array_key_exists('sectioncategories',$this->lists))
	{
		foreach ($this->lists['sectioncategories'] as $k=>$items) 
		{
			foreach ($items as $v) 
			{
				echo "sectioncategories[".$i++."] = new Array( '$k','".addslashes( $v->id )."','".addslashes( $v->title )."' );\n\t\t";
			}
		}
	}
}
else
{
	echo 'var checkSection = false;';
}

$geoInit = false;

foreach($this->fields as $field)
{
	if($field->fieldtypeid == F2C_FIELDTYPE_GEOCODER)
	{
		if(!$geoInit)
		{
			JHTML::script('f2c_google.js','components/com_form2content/js/');
			JHTML::script('js?sensor=false','http://maps.google.com/maps/api/');
			
			echo "var geocoder;\n";
			$js =	'window.addEvent(\'load\', function() {
					 geocoder = new google.maps.Geocoder();
			  		 });';
			  		
			$document->addScriptDeclaration($js);		
			$geoInit = true;
		}
		
		echo "var t".$field->id."_map=null;\n";	
		echo "var t".$field->id."_marker=null;\n";			
	}
}
?>
function submitbutton(pressbutton)
{
	if(pressbutton == 'cancel')
	{
		submitform(pressbutton);
		return true;
	}

	if(pressbutton == 'save' || pressbutton == 'apply')
	{
		var form = document.adminForm;

		<?php if($this->contentTypeSettings->title_front_end) { ?>		
		if(form.title.value == '')
		{
			alert('<?php echo sprintf(JText::_('ERROR_FIELD_X_REQUIRED'), $title_caption); ?>');
			return false;
		}
		<?php } ?>
		
		if(checkSection && form.sectionid.value == -1)
		{
			alert('<?php echo JText::_('SELECT_A_SECTION'); ?>');
			return false;
		}

		if(checkSection && form.catid.value == -1)
		{
			alert('<?php echo JText::_('SELECT_A_CATEGORY'); ?>');
			return false;
		}
		
		<?php echo $this->jsFieldVal; ?>
		if(!F2C_CheckRequiredFields(arrValidation)) return false;
		
		<?php 
		echo $this->jsEditorSave;
		echo $this->submitForm;
	 	?>
	}	
}		
-->	
</script>

<div id="f2c_form" class="content_type_<?php echo $this->form->projectid; ?>">
	<form action="<?php echo JFilterOutput::ampReplace($this->action); ?>" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">
	<div class="componentheading"><?php echo $this->pagetitle; ?></div>
	<fieldset>
	<table class="adminform" width="100%">
	<tr class="f2c_field f2c_id f2c_buttons">
		<td class="key f2c_field_label">			
			<label for="ID">
				<?php echo JText::_('ID'); ?>:
			</label>
		</td>
		<td class="f2c_field_value">
			<div style="float: left;">
			<?php if(!$this->isNew) { echo $this->form->id; } ?>
			</div>
			<div style="float: right;">
				<button type="button" onclick="submitbutton('save')" class="f2c_button f2c_save">
					<?php echo JText::_('Save') ?>
				</button>
				<button type="button" onclick="submitbutton('apply')" class="f2c_button f2c_apply">
					<?php echo JText::_('Apply') ?>
				</button>
				<button type="button" onclick="submitbutton('cancel')" class="f2c_button f2c_cancel">
					<?php echo JText::_('Cancel') ?>
				</button>
			</div>
		</td>
	</tr>
	<?php
	if($this->contentTypeSettings->title_front_end)
	{
	?>
	<tr class="f2c_field f2c_title">
		<td class="key f2c_field_label">			
			<label for="title">
				<?php echo $title_caption; ?>:
			</label>
		</td>
		<td class="f2c_field_value">
			<input class="inputbox" type="text" name="title" id="title" size="30" maxlength="255" value="<?php echo htmlspecialchars($this->form->title); ?>" />
			<span class="f2c_required">&nbsp;<?php echo $this->contentTypeSettings->required_field_text;?></span>
		</td>
	</tr>
	<?php
	}
	
	if($this->contentTypeSettings->title_alias_front_end)
	{
	?>
	<tr class="f2c_field f2c_title_alias">
		<td class="key f2c_field_label">			
			<label for="title_alias">
				<?php echo $title_alias_caption; ?>:
			</label>
		</td>
		<td class="f2c_field_value">
			<input class="inputbox" type="text" name="title_alias" id="title_alias" size="30" maxlength="255" value="<?php echo htmlspecialchars($this->form->title_alias); ?>" />
		</td>
	</tr>
	<?php
	}
	
	if($this->contentTypeSettings->metadesc_front_end)
	{
	?>
	<tr class="f2c_field f2c_metadesc">
		<td class="key f2c_field_label" valign="top">			
			<label for="metadesc">
				<?php echo $metadesc_caption; ?>:
			</label>
		</td>
		<td class="f2c_field_value">
			<textarea class="inputbox" cols="50" rows="5" name="metadesc" id="metadesc" style="width:500px; height:120px"><?php echo htmlspecialchars($this->form->metadesc); ?></textarea>
		</td>
	</tr>
	<?php
	}
	
	if($this->contentTypeSettings->metakey_front_end)
	{
	?>
	<tr class="f2c_field f2c_metakey">
		<td class="key f2c_field_label" valign="top">			
			<label for="metakey">
				<?php echo $metakey_caption; ?>:
			</label>
		</td>
		<td class="f2c_field_value">
			<textarea class="inputbox" cols="50" rows="5" name="metakey" id="metakey" style="width:500px; height:60px"><?php echo htmlspecialchars($this->form->metakey); ?></textarea>
		</td>
	</tr>
	<?php
	}
	
	if($this->project->frontend_catsel)
	{
	?>
	<tr class="f2c_field f2c_sectionid f2c_catid">
		<td class="key f2c_field_label">			
			<label for="sectionid">
				<?php echo $section_category_caption; ?>:
			</label>
		</td>
		<td class="f2c_field_value">
			<?php
			echo $this->lists['sectionid'];
			if($this->project->catid != -2)
			{
				echo '&nbsp;';
			} 
			echo $this->lists['catid']; 
			?>
			<span class="f2c_required">&nbsp;<?php echo $this->contentTypeSettings->required_field_text;?></span>		
		</td>
	</tr>
	<?php
	}
	
	if($this->contentTypeSettings->created_by_front_end)
	{
	?>
	<tr class="f2c_field f2c_created_by">
		<td class="key f2c_field_label">			
			<label for="created_by">
				<?php echo $created_by_caption; ?>:
			</label>
		</td>
		<td class="f2c_field_value">
			<?php echo $this->lists['created_by']; ?>
		</td>
	</tr>
	<?php
	}
	else
	{
		echo HtmlHelper::HiddenField('created_by', $this->form->created_by);
	}
	
	if($this->contentTypeSettings->created_by_alias_front_end)
	{
	?>
	<tr class="f2c_field f2c_created_by_alias">
		<td class="key f2c_field_label">			
			<label for="created_by_alias">
				<?php echo $created_by_alias_caption; ?>:
			</label>
		</td>
		<td class="f2c_field_value">
			<input class="inputbox" type="text" name="created_by_alias" id="created_by_alias" size="30" maxlength="50" value="<?php echo htmlspecialchars($this->form->created_by_alias); ?>" />
		</td>
	</tr>
	<?php
	}
	
	if($this->contentTypeSettings->access_front_end)
	{
	?>
	<tr class="f2c_field f2c_access">
		<td class="key f2c_field_label" valign="top">			
			<label for="access">
				<?php echo $access_caption; ?>:
			</label>
		</td>
		<td class="f2c_field_value">
			<?php echo $this->lists['access']; ?>
		</td>
	</tr>
	<?php
	}
	
	if($this->project->frontend_templsel)
	{
	?>
	<tr class="f2c_field f2c_intro_template">
		<td class="key f2c_field_label">			
			<label for="intro_template">
				<?php echo JText::_('INTRO_TEMPLATE'); ?>:
			</label>
		</td>
		<td class="f2c_field_value">
			<input class="inputbox" type="text" name="intro_template" id="intro_template" size="60" maxlength="255" value="<?php echo htmlspecialchars($this->form->intro_template); ?>" />
			<a class="modal" href="index.php?option=com_form2content&amp;c=templates&amp;task=selecttemplate&amp;format=raw&amp;mode=intro" rel="{handler: 'iframe', size: {x: 640, y: 480}}"><?php echo JText::_('CLICK_SELECT_TEMPLATE'); ?></a>
		</td>
	</tr>
	<tr class="f2c_field f2c_main_template">
		<td class="key f2c_field_label">			
			<label for="main_template">
				<?php echo JText::_('MAIN_TEMPLATE'); ?>:
			</label>
		</td>
		<td class="f2c_field_value">
			<input class="inputbox" type="text" name="main_template" id="main_template" size="60" maxlength="255" value="<?php echo htmlspecialchars($this->form->main_template); ?>" />
			<a class="modal" href="index.php?option=com_form2content&amp;c=templates&amp;task=selecttemplate&amp;format=raw&amp;mode=main" rel="{handler: 'iframe', size: {x: 640, y: 480}}"><?php echo JText::_('CLICK_SELECT_TEMPLATE'); ?></a>
		</td>
	</tr>
	<?php
	}
	
	if($this->contentTypeSettings->date_created_front_end)
	{
	?>
	<tr class="f2c_field f2c_created">
		<td width="100" align="left" class="key f2c_field_label">			
			<label for="created">
				<?php echo JText::_('DATE_CREATED'); ?>:
			</label>
		</td>
		<td class="f2c_field_value">
			<input class="inputbox" type="text" name="created" id="created" size="24" maxlength="19" value="<?php echo $this->form->created; ?>" />
			<a href="#" onclick="return showCalendar('created', '<?php echo $config->date_format; ?>');"><img class="calendar" src="images/blank.png" alt="calendar" /></a>
		</td>
	</tr>
	<?php
	}
	
	if($this->project->frontend_pubsel)
	{
	?>
	<tr class="f2c_field f2c_publish_up">
		<td width="100" align="left" class="key f2c_field_label">			
			<label for="publish_up">
				<?php echo JText::_('START PUBLISHING'); ?>:
			</label>
		</td>
		<td class="f2c_field_value">
			<input class="inputbox" type="text" name="publish_up" id="publish_up" size="24" maxlength="19" value="<?php echo $this->form->publish_up; ?>" />
			<a href="#" onclick="return showCalendar('publish_up', '<?php echo $config->date_format; ?>');"><img class="calendar" src="images/blank.png" alt="calendar" /></a>
		</td>
	</tr>
	<tr class="f2c_field f2c_publish_down">
		<td width="100" align="left" class="key f2c_field_label">			
			<label for="publish_down">
				<?php echo JText::_('FINISH PUBLISHING'); ?>:
			</label>
		</td>
		<td class="f2c_field_value">
			<input class="inputbox" type="text" name="publish_down" id="publish_down" size="24" maxlength="19" value="<?php echo $this->form->publish_down; ?>" />
			<a href="#" onclick="return showCalendar('publish_down', '<?php echo $config->date_format; ?>');"><img class="calendar" src="images/blank.png" alt="calendar" /></a>
		</td>
	</tr>
	<?php
	}
	
	if($this->contentTypeSettings->state_front_end)
	{
	?>
	<tr class="f2c_field f2c_state">
		<td class="key f2c_field_label">			
			<label for="state">
				<?php echo $state_caption; ?>:
			</label>
		</td>
		<td class="f2c_field_value">
			<?php echo $this->lists['state']; ?>
		</td>
	</tr>
	<?php
	}
	
	if($this->contentTypeSettings->frontpage_front_end)
	{
	?>
	<tr class="f2c_field f2c_frontpage">
		<td class="key f2c_field_label">			
			<label for="frontpage">
				<?php echo $frontpage_caption; ?>:
			</label>
		</td>
		<td class="f2c_field_value">
			<?php echo $this->lists['frontpage']; ?>
		</td>
	</tr>
	<?php
	}
	
	// User defined fields
	$k = 0;
	
	for ($i=0, $n=count($this->fields); $i < $n; $i++) 
	{
		$field 			= $this->fields[$i];
		$parms 			= array();
		$fieldValues	= (array_key_exists($field->id, $this->fieldValues)) ? $this->fieldValues[$field->id] : null;
		
		if(!$field->frontvisible)
		{
			// skip processing of hidden fields
			continue;
		}
		
		switch($field->fieldtypeid)
		{
			case F2C_FIELDTYPE_SINGLELINE:
				$parms = array(50, 100);
				break;
			case F2C_FIELDTYPE_IMAGE:
				$parms = array(50, 100);
				break;				
			case F2C_FIELDTYPE_MULTILINETEXT:
				$parms = array('cols="50" rows="5" style="width:500px; height:120px"');
				break;
			case F2C_FIELDTYPE_MULTILINEEDITOR:	
				$parms = array('100%', '400', '70', '15');
				break;
		}	
		?>
		<tr class="f2c_field <?php echo "f2c_" . $field->fieldname; ?>">
			<td  class="key f2c_field_label" valign="top">
				<?php echo $this->renderer->renderFieldLabel($field); ?>		
			</td>
			<td class="f2c_field_value">
				<?php echo $this->renderer->renderField($field, $fieldValues, $parms); ?>			
			</td>
		</tr>
		<?php	
		$k = 1 - $k;			
	}
	
	echo $this->renderCaptcha;
	?>
	<tr class="f2c_buttons">
		<td colspan="2">
			<div style="float: right;">
				<button type="button" onclick="submitbutton('save')" class="f2c_button f2c_save">
					<?php echo JText::_('Save') ?>
				</button>
				<button type="button" onclick="submitbutton('apply')" class="f2c_button f2c_apply">
					<?php echo JText::_('Apply') ?>
				</button>
				<button type="button" onclick="submitbutton('cancel')" class="f2c_button f2c_cancel">
					<?php echo JText::_('Cancel') ?>
				</button>
			</div>
		</td>
	</tr>
	</table>				
	</fieldset>
	<br/>
	<input type="hidden" name="option" value="com_form2content" />
	<input type="hidden" name="id" value="<?php echo $this->form->id; ?>" />
	<input type="hidden" name="Itemid" value="<?php echo JRequest::getInt('Itemid'); ?>" />
	<input type="hidden" name="ordering" value="<?php echo $this->form->ordering; ?>" />
	<input type="hidden" name="projectid" value="<?php echo $this->form->projectid; ?>" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="c" value="form" />
	<?php echo JHTML::_('form.token'); ?>
	</form>
</div>