﻿<?php
defined('_JEXEC') or die('Restricted acccess');

jimport('joomla.application.component.controller');

class Form2ContentControllerF2C extends JController
{
	function display()
	{
		JRequest::setVar('view', 'f2c');
		parent::display();
	}
	
	function about()
	{
		JRequest::setVar('view', 'f2c');
		JRequest::setVar('layout', 'about');		
		parent::display();
	}
	
	function documentation()
	{
		JRequest::setVar('view', 'f2c');
		JRequest::setVar('layout', 'documentation');		
		parent::display();
	}
	
	function installSampleData()
	{
		$imagebase 		= JPATH_SITE.'/images/stories/com_form2content/';
		$documentbase	= JPATH_SITE.'/media/com_form2content/documents/';
		$templatebase 	= JPATH_SITE.'/media/com_form2content/templates/';
		$samplebase 	= JPATH_SITE.'/administrator/components/com_form2content/sample_data/';
		$samplebase1 	= JPATH_SITE.'/administrator/components/com_form2content/sample_data/simple_article_example/';
		$samplebase2 	= JPATH_SITE.'/administrator/components/com_form2content/sample_data/all_fields_example/';
	
		JFolder::create($imagebase.'p1/f1/thumbs', 0777);
		JFolder::create($imagebase.'p2/f2/thumbs', 0777);
		JFolder::create($documentbase.'c2/a2/f14', 0777);
		
		JFile::copy($samplebase . 'osd_logo.gif', $imagebase.'p1/f1/5.gif');
		JFile::copy($samplebase . 'osd_logo_thumb.gif', $imagebase.'p1/f1/thumbs/5.gif');
		JFile::copy($samplebase . 'osd_logo.gif', $imagebase.'p2/f2/18.gif');
		JFile::copy($samplebase . 'osd_logo_thumb.gif', $imagebase.'p2/f2/thumbs/18.gif');		
		JFile::copy($samplebase1 . 'intro_template_simple_article_example.tpl', $templatebase .'intro_template_simple_article_example.tpl');
		JFile::copy($samplebase1 . 'main_template_simple_article_example.tpl', $templatebase .'main_template_simple_article_example.tpl');
		JFile::copy($samplebase2 . 'intro_template_all_fields_example.tpl', $templatebase .'intro_template_all_fields_example.tpl');
		JFile::copy($samplebase2 . 'main_template_all_fields_example.tpl', $templatebase .'main_template_all_fields_example.tpl');
		JFile::copy($samplebase2 . 'Flyer_Joomla_dagen2010.pdf', $documentbase.'c2/a2/f14/Flyer_Joomla_dagen2010.pdf');
		
		$this->__executeFile($samplebase . 'sample_data.sql');	
		
		$this->setRedirect('index.php?option=com_form2content', JText::_('SAMPLE_DATA_INSTALLED'));	
	}
	
	function __executeFile($filename)
	{
		$db =& JFactory::getDBO();
	
		if(!JFile::exists($filename)) 
		{
			trigger_error(sprintf('File "%s" does not exist.', $filename), E_USER_ERROR);
			return;
		}
      
        $contents = file($filename);
        
        foreach ($contents as $line) 
        {
            $line = trim($line);
       
       		// remove empty lines and comments     
            if (($line == '') or ($line{0} == '#') or (substr($line, 0, 2) == '--')) 
            {
               continue;
            }
            else
            {
            	$db->setQuery($line);
            	$db->query();
            	
            	if($db->getErrorNum())
            	{
            		trigger_error($db->getErrorMsg(), E_USER_ERROR);
            	}
            }
        }
	}		
}
?>