<?php
defined('_JEXEC') or die('Restricted acccess');

require_once(JPATH_COMPONENT_SITE.DS.'class.form2content.php');

jimport('joomla.application.component.controller');

class Form2ContentControllerTranslation extends JController
{
	var $modelName = 'translation';

	function __construct()
	{
		parent::__construct();
	}

	function __getRedirect()
	{
		$filter_languageid = JRequest::getString('filter_languageid');
		$filter_projectid = JRequest::getInt('filter_projectid');
		return 'index.php?option=com_form2content&task=viewtranslations&c=translations&filter_languageid='.$filter_languageid.'&filter_projectid='.$filter_projectid;
	}

	function edit()
	{
		JRequest::setVar('view', $this->modelName);
		JRequest::setVar('hidemainmenu', 1);
		parent::display();
	}

	function display()
	{
		parent::display();
	}

	function save()
	{
		$data = JRequest::get('POST');
		
		$model = $this->getModel($this->modelName);
		
		if ($model->save($data)) 
		{
			$message = JText::_('TRANSLATION_SAVED');
		} 
		else
		{
			$message = JText::_('TRANSLATION_SAVE_ERROR');
			$message .= ' [' . $model->getError() . ']';
		}

		$this->setRedirect($this->__getRedirect(), $message);
	}
	
	function remove()
	{
		$model = $this->getModel($this->modelName);
		
		if($model->delete()) 
		{
			$message = JText::_('TRANSLATION_DELETED' );
		}
		else 
		{
			$message = JText::_('TRANSLATION_DELETE_ERROR');
			$message .= ' [' . $model->getError() . ']';
		}

		$this->setRedirect($this->__getRedirect(), $message);
	}

	function cancel()
	{
		$message = JText::_('OPERATION_CANCELLED');
		$this->setRedirect($this->__getRedirect(), $message);
	}
}
?>