﻿<?php
defined('_JEXEC') or die('Restricted acccess');

require_once(JPATH_COMPONENT_SITE.DS.'class.form2content.php');
require_once(JPATH_COMPONENT_SITE.DS.'shared.form2content.php');
require_once(JPATH_COMPONENT_SITE.DS.'utils.form2content.php');
require_once(JPATH_COMPONENT_SITE.DS.'configuration.php');

jimport('joomla.application.component.model');
jimport('joomla.filesystem.file');

class Form2ContentModelTemplate extends JModel
{
	var $_id = null;
	var $_data = null;
	
	function __construct()
	{
		parent::__construct();

		$cid = JRequest::getVar('cid', false, 'DEFAULT', 'array');
		
		if($cid)
		{
			$id = $cid[0];
		}
		else
		{
			$id = JRequest::getInt('id', 0);
		}
		
		$this->setId($id);
	}
	
	function setId($id = 0)
	{
		$this->_id = $id;
		$this->_data = null;
	}
	
	function getId()
	{
		return $this->_id;
	}
	
	function &getData()
	{
		$this->_loadData();
		return $this->_data;				
	}
	
	function _loadData()
	{
		if(empty($this->_data))
		{
			$templateFile = Path::Combine(F2C_Config::getTemplatePath(), $this->_id);
			$this->_data = JFile::read($templateFile);		
		}
		
		return $this->_data;
	}
	
	function save()
	{
		$filename = Path::Combine(F2C_Config::getTemplatePath(), JRequest::getVar('id'));
		$template = unquoteData(JRequest::getVar('template', '', 'post', 'string', JREQUEST_ALLOWRAW));
		
		if(HtmlHelper::detectUTF8($template))
		{
			// check if BOM is present
			$utf8bom = "\xEF\xBB\xBF";
			$pos = strpos($template, $utf8bom);
			
			if($pos === false)
			{
				$template = $utf8bom . $template;
			}
		}		
		 
		return JFile::write($filename, $template);
	}
	
	function delete()
	{
		return true;
	}	
	
	function display()
	{
	}	
}
?>