﻿<?php
class TableProject extends JTable
{
	/** @var int Primary key **/
	var $id = null;	
	/** @var string Title **/
	var $title = null;
	/** @var int CreatedBy **/
	var $created_by = 0;
	/** @var date Created date **/
	var $created = null;	
	/** @var date Modified date **/
	var $modified = null;	
	/** @var string Version **/
	var $version = null;
	/** @var boolean Published **/
	var $published = false;	
	/** @var int Default Section Id **/
	var $sectionid = null;	
	/** @var int Default Category Id **/
	var $catid = null;	
	/** @var string Default Intro Template **/
	var $intro_template = '';	
	/** @var string Default Main Template **/
	var $main_template = '';
	/** @var boolean Front End Category selection **/
	var $frontend_catsel = false;
	/** @var boolean Front End Template selection **/
	var $frontend_templsel = true;	
	/** @var boolean Front End Publish Dates selection **/
	var $frontend_pubsel = true;
	/** @var string Settings **/
	var $settings = '';
	/** @var string Attribs **/
	var $attribs = '';
		/** @var string Metadata **/
	var $metadata = '';
	
	/**
	 * Constructor
	 *
	 * @param database Database object
	 */
	function __construct(&$db)
	{
		parent::__construct('#__f2c_project', 'id', $db);
	}
	 
	/**
	 * Validation
	 *
	 * @return boolean True if buffer valid
	 */
	function check()
	{
		if(trim($this->title) == '')
		{
			$this->setError(JText::_('PROJECT_TITLE_EMPTY'));
			return false;
		}
									
		return true;
	}
}

?>