<?php defined('_JEXEC') or die('Restricted access'); ?>
<?php 
require_once(JPATH_COMPONENT.DS.'views'.DS.'viewhelper.form2content.php');

jimport('joomla.html.html');
jimport('joomla.utilities.date'); 
JHTML::stylesheet( 'default.css', 'administrator/components/com_form2content/media/css/' );
JHTML::_('behavior.tooltip');

$db			=& JFactory::getDBO();
$config 	=& JFactory::getConfig();
$now		=& JFactory::getDate();
$nullDate 	= $db->getNullDate();

//Ordering allowed ?
$ordering = ($this->lists['order'] == 'section_name' || $this->lists['order'] == 'cc.name');
?>
<script type="text/javascript">
<!--
function submitbutton(pressbutton) 
{
	var form = document.adminForm;
	form.c.value = 'form';
	submitform(pressbutton);
}
-->
</script>
<form action="index.php" method="post" name="adminForm">

<table>
<tr>
	<td align="left" width="100%">
		<?php echo JText::_('FILTER'); ?>:
		<input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
		<button onclick="this.form.submit();"><?php echo JText::_('GO'); ?></button>
		<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_sectionid').value='-1';this.form.getElementById('catid').value='0';this.form.getElementById('projectid').value='-1';this.form.submit();"><?php echo JText::_('RESET'); ?></button>
	</td>
	<td nowrap="nowrap">
		<?php 
			echo $this->lists['sectionid'];
			echo $this->lists['catid'];
			echo $this->lists['projectid'];
		?>
	</td>
</tr>
</table>

<div id="editcell">
	<table class="adminlist">
	<thead>
		<tr>
			<th width="5">
				<?php echo JHTML::_('grid.sort',  'NUM', 'a.id', $this->lists['order_Dir'], $this->lists['order'] ); ?>
			</th>
			<th width="20">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->items ); ?>);" />
			</th>			
			<th align="left">
				<?php echo JHTML::_('grid.sort',  'Title', 'a.title', $this->lists['order_Dir'], $this->lists['order'] ); ?>
			</th>
			<th width="5%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort',  'Published', 'c.state', $this->lists['order_Dir'], $this->lists['order'] ); ?>
			</th>			
			<th width="8%">
				<?php echo JHTML::_('grid.sort',   'Order', 'section_name', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				<?php if ($ordering) echo JHTML::_('grid.order', $this->items); ?>
			</th>
			<th class="title" width="8%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort',   'Section', 'section_name', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th  class="title" width="8%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort',   'Category', 'cc.name', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th align="left">
				<?php echo JHTML::_('grid.sort',  'PROJECT', 'p.title', $this->lists['order_Dir'], $this->lists['order'] ); ?>
			</th>
			<th align="left">
				<?php echo JHTML::_('grid.sort',  'CREATED_BY', 'a.created_by', $this->lists['order_Dir'], $this->lists['order'] ); ?>
			</th>
			<th align="left">
				<?php echo JHTML::_('grid.sort',  'DATE_CREATED', 'a.created', $this->lists['order_Dir'], $this->lists['order'] ); ?>
			</th>
			<th align="left">
				<?php echo JHTML::_('grid.sort',  'DATE_MODIFIED', 'a.modified', $this->lists['order_Dir'], $this->lists['order'] ); ?>
			</th>
		</tr>			
	</thead>
	<?php
	$k = 0;
	for ($i=0, $n=count($this->items); $i < $n; $i++)
	{
		$row 		=& $this->items[$i];
		JFilterOutput::objectHtmlSafe($row);
		
		$authorName = ($row->created_by_alias) ? '<i>'.$row->created_by_alias.'</i>' : $row->creator;
		$checked 	= JHTML::_('grid.id',   $i, $row->id );
		$times = '';
				
		$publish_up =& JFactory::getDate($row->publish_up_c);
		$publish_down =& JFactory::getDate($row->publish_down_c);
		$publish_up->setOffset($config->getValue('config.offset'));
		$publish_down->setOffset($config->getValue('config.offset'));
		if ( $now->toUnix() <= $publish_up->toUnix() && $row->state == 1 ) {
			$img = 'publish_y.png';
			$alt = JText::_( 'Published' );
		} else if ( ( $now->toUnix() <= $publish_down->toUnix() || $row->publish_down_c == $nullDate ) && $row->state == 1 ) {
			$img = 'publish_g.png';
			$alt = JText::_( 'Published' );
		} else if ( $now->toUnix() > $publish_down->toUnix() && $row->state == 1 ) {
			$img = 'publish_r.png';
			$alt = JText::_( 'Expired' );
		} else if ( $row->state == 0 ) {
			$img = 'publish_x.png';
			$alt = JText::_( 'Unpublished' );
		} else if ( $row->state == -1 ) {
			$img = 'disabled.png';
			$alt = JText::_( 'Archived' );
		}
		else
		{
			$img = 'publish_x.png';
			$alt = JText::_( 'Unpublished' );	
			$times = JText::_('UNPARSED_ITEM');		
		}		
		
		if(!$times)
		{
			if (isset($row->publish_up_c)) {
				if ($row->publish_up_c == $nullDate) {
					$times .= JText::_( 'Start: Always' );
				} else {
					$times .= JText::_( 'Start' ) .": ". $publish_up->toFormat();
				}
			}
			if (isset($row->publish_down_c)) {
				if ($row->publish_down_c == $nullDate) {
					$times .= "<br />". JText::_( 'Finish: No Expiry' );
				} else {
					$times .= "<br />". JText::_( 'Finish' ) .": ". $publish_down->toFormat();
				}
			}		
			
			if(!$times)
			{
				$times = JText::_('UNPARSED_ITEM');
			}
		}
		
		$publishTask = (!$row->state || $row->state < 0) ? 'publish' : 'unpublish';
				
		$link 		= JRoute::_('index.php?option=com_form2content&c=form&task=edit&cid[]='. $row->id);
		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $row->id; ?>
			</td>
			<td>
				<?php echo $checked; ?>
			</td>
			<td>
				<a href="<?php echo $link; ?>"><?php echo $row->title; ?></a>
			</td>
			<?php
			if ($times)
			{
				?>
				<td align="center">
					<span class="editlinktip hasTip" title="<?php echo JText::_( 'Publish Information' );?>::<?php echo $times; ?>"><a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $publishTask ?>')">
						<img src="images/<?php echo $img;?>" width="16" height="16" border="0" alt="<?php echo $alt; ?>" /></a></span>
				</td>
				<?php
			}
			?>
			<td class="order">
				<span><?php echo $this->pagination->orderUpIcon($i, ($row->catid == @$this->items[$i-1]->catid), 'orderup', 'Move Up', $ordering); ?></span>
				<span><?php echo $this->pagination->orderDownIcon($i, $n, ($row->catid == @$this->items[$i+1]->catid), 'orderdown', 'Move Down', $ordering); ?></span>
				<?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
				<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" <?php echo $disabled; ?> class="text_area" style="text-align: center" />
			</td>
			<td>
				<?php echo $row->section_name; ?>
			</td>
			<td>
				<?php echo $row->name; ?>
			</td>
			<td align="center">
				<?php echo $row->projecttitle; ?>
			</td>
			<td>
				<?php echo $authorName; ?>
			</td>
			<td>
				<?php
				$dateCreated = new JDate($row->created);				 
				echo $dateCreated->toFormat(JText::_('DATE_FORMAT_LC3')); 
				?>
			</td>
			<td>
				<?php 
				if($row->modified != $nullDate)
				{	
					$dateModified = new JDate($row->modified);		
					echo $dateModified->toFormat(JText::_('DATE_FORMAT_LC3'));
				} 
				?>
			</td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
	</table>
	<?php echo $this->pagination->getListFooter(); ?>
</div>

<?php echo DisplayCredits(); ?>

<input type="hidden" name="option" value="com_form2content" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="c" value="forms" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
