<?php
defined('_JEXEC') or die('Restricted acccess');

require_once(JPATH_COMPONENT_SITE.DS.'shared.form2content.php');
require_once(JPATH_COMPONENT_SITE.DS.'utils.form2content.php');

jimport('joomla.application.component.view');

class Form2ContentViewForms extends JView
{
	function display($tpl = null)
	{
		$db 	=& JFactory::getDBO();
		$app 	=& JFactory::getApplication();
		$option = JRequest::getCmd('option');
	
		JToolBarHelper::title(JText::_('FORM2CONTENT') . ' - ' . JText::_('FORMS'), 'generic.png');
		JToolBarHelper::custom('refresh', 'refresh', 'refresh', JText::_('REFRESH'), true);		
		JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();		
		JToolBarHelper::customX('copy', 'copy.png', 'copy_f2.png', 'Copy');
		JToolBarHelper::deleteList();
		JToolBarHelper::editListX();	
		JToolBarHelper::addNewX();
		
		$sectionid			= JRequest::getVar( 'sectionid', -1, '', 'int' );
		$catid				= $app->getUserStateFromRequest($option.'catid', 'catid', 0, 'int');
		$search				= $app->getUserStateFromRequest($option.'forms', 'search', '', 'string');
		$search				= JString::strtolower($search);
		$filter_sectionid	= $app->getUserStateFromRequest($option.'filter_sectionid', 'filter_sectionid', -1, 'int');
		$filter_order		= $app->getUserStateFromRequest($option.'filter_order', 'filter_order', 'section_name', 'cmd');
		$filter_order_Dir	= $app->getUserStateFromRequest($option.'filter_order_Dir', 'filter_order_Dir', '', 'word');
		$projectid			= $app->getUserStateFromRequest($option.'projectid', 'projectid', -1, 'int');		
		$filter = '';
		
		// get list of categories for dropdown filter	
		if ($filter_sectionid >= 0) 
		{
			$filter = ' WHERE cc.section = '.$db->Quote($filter_sectionid);
		}

		// get list of categories for dropdown filter
		$query = 'SELECT cc.id AS value, cc.title AS text, section' .
				' FROM #__categories AS cc' .
				' INNER JOIN #__sections AS s ON s.id = cc.section' .
				$filter .
				' ORDER BY s.ordering, cc.ordering';
		
		$lists['catid'] = ContentHelper::filterCategory($query, $catid);
		
		// get list of sections for dropdown filter
		$javascript = 'onchange="document.adminForm.submit();"';
		$lists['sectionid'] = JHTML::_('list.section', 'filter_sectionid', $filter_sectionid, $javascript);
								
		// search filter
		$lists['search']= $search;
		
		// table ordering
		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order'] = $filter_order;

		$listProjects[] = JHTML::_('select.option', '-1', '-&nbsp;' . JText::_('SELECT_A_PROJECT') . '&nbsp;-', 'id', 'title');
		// get all projects: both published and unpublished
		$listProjects = array_merge($listProjects, getProjectList(false));
						
		$lists['projectid'] = JHTML::_('select.genericlist',  $listProjects, 'projectid', 'class="inputbox" size="1" onchange="submitform( );"', 'id', 'title', $projectid);		

		// Get data from the model
		$items 		=& $this->get('Data');
		$total 		=& $this->get('Total');
		$pagination =& $this->get('Pagination');

		$this->assignRef('lists', $lists);
		$this->assignRef('items', $items);		
		$this->assignRef('pagination', $pagination);

		parent::display($tpl);
	}
}

?>