﻿<?php
defined('_JEXEC') or die('Restricted acccess');

jimport('joomla.application.component.view');

class Form2ContentViewProject extends JView
{
	function display($tpl = null)
	{
		$dataObject =& $this->get('Data');
		$isNew	= ($dataObject->id < 1);

		$text = $isNew ? JText::_('New') : JText::_('Edit');
		JToolBarHelper::title(JText::_('PROJECT').': <small><small>[ ' . $text.' ]</small></small>');
		JToolBarHelper::save();
		JToolBarHelper::apply();
		
		if ($isNew)  
		{
			JToolBarHelper::cancel();
		} 
		else 
		{
			// for existing items the button is renamed `close`
			JToolBarHelper::cancel('cancel', 'Close');
		}

		$projectSettings = ($dataObject->settings) ? unserialize($dataObject->settings) : new F2C_ContentTypeSettings();
		
		$javascript = "onchange=\"changeDynaList( 'catid', sectioncategories, document.adminForm.sectionid.options[document.adminForm.sectionid.selectedIndex].value, 0, 0);\"";		
		$lists = getSectionCategoryListAdmin($dataObject->sectionid, $dataObject->catid, $javascript);

		$lists['frontend_catsel'] = JHTML::_('select.booleanlist', 'frontend_catsel', '', $dataObject->frontend_catsel);
		$lists['frontend_templsel'] = JHTML::_('select.booleanlist', 'frontend_templsel', '', $dataObject->frontend_templsel);
		$lists['date_created_front_end'] = JHTML::_('select.booleanlist', 'date_created_front_end', '', $projectSettings->date_created_front_end);
		$lists['frontend_pubsel'] = JHTML::_('select.booleanlist', 'frontend_pubsel', '', $dataObject->frontend_pubsel);
		$lists['title_front_end'] = JHTML::_('select.booleanlist', 'title_front_end', '', $projectSettings->title_front_end);
		$lists['title_alias_front_end'] = JHTML::_('select.booleanlist', 'title_alias_front_end', '', $projectSettings->title_alias_front_end);
		$lists['metakey_front_end'] = JHTML::_('select.booleanlist', 'metakey_front_end', '', $projectSettings->metakey_front_end);
		$lists['metadesc_front_end'] = JHTML::_('select.booleanlist', 'metadesc_front_end', '', $projectSettings->metadesc_front_end);
		$lists['state_front_end'] = JHTML::_('select.booleanlist', 'state_front_end', '', $projectSettings->state_front_end);
		$lists['frontpage_front_end'] = JHTML::_('select.booleanlist', 'frontpage_front_end', '', $projectSettings->frontpage_front_end);
		$lists['created_by_front_end'] = JHTML::_('select.booleanlist', 'created_by_front_end', '', $projectSettings->created_by_front_end);
		$lists['created_by_alias_front_end'] = JHTML::_('select.booleanlist', 'created_by_alias_front_end', '', $projectSettings->created_by_alias_front_end);
		$lists['access_front_end'] = JHTML::_('select.booleanlist', 'access_front_end', '', $projectSettings->access_front_end);
		$lists['access_default'] = JHTML::_('select.genericlist', getAccessLevelList(), 'access_default', 'class="inputbox" size="1"', 'value', 'text', $projectSettings->access_default);
		
		$max_forms = (array_key_exists('max_forms',get_object_vars($projectSettings)) && (int)$projectSettings->max_forms) ? (int)$projectSettings->max_forms : '';
		$captcha_front_end = (array_key_exists('captcha_front_end',get_object_vars($projectSettings))) ? (int)$projectSettings->captcha_front_end : 0;

		$lists['frontpage_default'] = JHTML::_('select.booleanlist', 'frontpage_default', '', $projectSettings->frontpage_default);
		$lists['state_default'] = JHTML::_('select.booleanlist', 'state_default', '', $projectSettings->state_default);
		$lists['captcha_front_end'] = JHTML::_('select.booleanlist', 'captcha_front_end', '', $captcha_front_end);

		$jArticleParms = new JParameter('', JPATH_BASE.DS.'components'.DS.'com_content'.DS.'models'.DS.'article.xml');
		
		// Advanced group
		$jArticleParms->loadINI($dataObject->attribs);

		// Metadata Group
		$jArticleParms->set('description', $projectSettings->metadesc_default);
		$jArticleParms->set('keywords', $projectSettings->metakey_default);
		$jArticleParms->loadINI($dataObject->metadata);
		
		$this->assignRef('max_forms', $max_forms);
		$this->assignRef('lists', $lists);
		$this->assignRef('project',	$dataObject);
		$this->assignRef('projectSettings',	$projectSettings);
		$this->assignRef('isNew', $isNew);
		$this->assignRef('jArticleParms', $jArticleParms);
		
		parent::display($tpl);		
	}
}

?>