<?php
class TableForm extends JTable
{
	/** @var int Primary key **/
	var $id = null;	
	/** @var int Project Id **/
	var $projectid = null;	
	/** @var string Title **/
	var $title = null;
	/** @var string Title Alias **/
	var $title_alias = null;
	/** @var int CreatedBy **/
	var $created_by = 0;
	/** @var string CreatedByAlias **/
	var $created_by_alias = '';
	/** @var date Created date **/
	var $created = null;	
	/** @var date Modified date **/
	var $modified = null;	
	/** @var string MetaKey **/
	var $metakey = null;
	/** @var string MetaDesc **/
	var $metadesc = null;
	/** @var int Section Id **/
	var $sectionid = 0;
	/** @var int Category Id **/
	var $catid = 0;
	/** @var string Intro template **/
	var $intro_template = null;
	/** @var string Main template **/
	var $main_template = null;
	/** @var int Reference Id **/
	var $reference_id = null;	
	/** @var int Ordering **/
	var $ordering = 0;
	/** @var date Publish Up **/
	var $publish_up = null;	
	/** @var date Publish Down **/
	var $publish_down = null;		
	/** @var int State **/
	var $state = 0;		
	/** @var int Frontpage **/
	var $frontpage = 0;		
	/** @var int Access **/
	var $access = 0;		
	/** @var int Attribs **/
	var $attribs = '';
	/** @var int Metadata **/
	var $metadata = '';
	
	/**
	 * Constructor
	 *
	 * @param database Database object
	 */
	function __construct(&$db)
	{
		parent::__construct('#__f2c_form', 'id', $db);
	}
	 
	/**
	 * Validation
	 *
	 * @return boolean True if buffer valid
	 */
	function check()
	{
		return true;
	}
}
?>